<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }


?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Incidents Reports</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
<?php
        if(isset($_POST['subbtn'])){ //
            //$staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            //$hashid = genRanString(30);
            $status = mysqli_escape_string($mysqli,$_POST['status']);
            $notes = mysqli_escape_string($mysqli,$_POST['notes']);
            $tenor = mysqli_escape_string($mysqli,$_POST['tenor']);
            $getval = mysqli_escape_string($mysqli, $_POST['getval']);

            if($status == 2){
                $tenor = 0;
            }
            //echo $getval;
            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            
               
                // $sql = "INSERT INTO `loan_1`(`id`,`hashid`,`branchid`, `staffid`, `requeston`, `loggedby`, `loanamount`, `notes`) 
                //         VALUES (NULL,'$hashid','$_SESSION[branchid]','$sender',CURRENT_TIMESTAMP(),'$sender','$loanamt','$notes')";
                $sql = "UPDATE `loan_1` SET `isapproved`='$status', `approvedon` = CURRENT_TIMESTAMP(), `approvedby` = '$sender',`tenor`='$tenor',`reason`='$notes' WHERE `hashid` = '$getval'";
                $res = mysqli_query($mysqli, $sql);
                if($res){
                    $title = "Loan Request Processed";
                    $body = "Loan Request Processed for on ".$dt." by ".$sender;
                    //$body = "Incident Logged against staff ".$staffid." on ".$dt." by ".$sender;
                    $_SESSION['msg'] = $body;
                    $_SESSION['success'] = true;
                    insertLogs($title,$body);
                    echo "<script>window.close();</script>";
                }
            
        }else{

            if(!isset($_GET['ref'])){
                msgAlert('Anomaly detected','../index.php');
              }
    ?>
    <div class="container">
        <form action="loanapprovals.php" method="post">
            <?php
                $sql = "SELECT *,t1.branchid bid FROM `loan_1` t1 
                        LEFT JOIN user_table t2 ON t2.staffid = t1.staffid 
                        WHERE t1.`hashid` = '$_GET[ref]'";


                $exec = mysqli_query($mysqli, $sql);
                $row = mysqli_fetch_assoc($exec);
                //echo $row['staffid'];
            ?>

            <table>
                    <tr>
                        <td>Name : </td><td><?php echo $row['name']; ?></td>
                    </tr>

                    <tr>
                        <td>Branch : </td><td><?php echo getBranchName($row['bid']); ?></td>
                    </tr>

                    <tr>
                        <td>Loan Amount : </td><td><?php echo $row['loanamount']; ?></td>
                    </tr>

                    <tr>
                        <td>Notes : </td><td><?php echo $row['notes']; ?></td>
                    </tr>

                    <tr>
                        <td>Applied On : </td><td><?php echo change_date($row['requeston']); ?></td>
                    </tr>
            </table>

            <input type="hidden" name="getval" value="<?php echo $_GET['ref']; ?>" >
            <div class="form-group">
                <label for="">Loan Status</label>
                
                <select name="status" class="txtbox">
                    <option value="" selected disabled>Select Status</option>
                    <option value="1">Approved</option>
                    <option value="2">Rejected</option>
                </select>
            </div>

            <div class="form-group">
                <label for="">Loan Tenor</label>
                <input type="text" name="tenor" class="txtbox" onkeypress="return isNumberKey(this, event);" required>
                
            </div>

            

            <div class="form-group">
                <label for="">Note</label>
                <textarea name="notes" id="" cols="10" rows="5" class="txtbox"></textarea>
            </div>
            
            

            <div class="form-group">
            <input type="submit" value="Finalize Loan Request" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
<?php
        }
?>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return false;
                } else {
                return true;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
</script>