<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
    $allowedUsers = [5];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense --- Order Services</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

    <style>
        #loading {
          display: block;
          position: absolute;
          top: 0;
          left: 0;
          z-index: 100;
          width: 100vw;
          height: 100%;
          background-color: rgba(192, 192, 192, 0.5);
          background-image: url("https://i.stack.imgur.com/MnyxU.gif");
          background-repeat: no-repeat;
          background-position: center;}
    </style>
</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Order Services</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>
                    <div id="loading">
                            
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <!-- Area Chart -->

                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">New Services </h6>
                                    </div>
                                    <!-- <div>
                                        <span id="ratespan">1</span>
                                    </div> -->
                                    <?php
                                        $sql = "SELECT * FROM `servicecategory` WHERE `isconfirmed` = 1 AND id NOT IN (0, 10) 
                                                                AND branchid IS NULL";
                                        
                                        $exec = mysqli_query($mysqli, $sql);


                                    ?>
                                <form method="POST" action="process.php" style="padding:30px 20px;">
                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="servicetype">Service Type</label>
                                    
                                                    <select class="form-control" id="serviceid" name="serviceid" required="required">
                                                        <option value="" selected="selected" disabled="" >Select Services</option>
                                                        <?php 
                                                            while($rowState = mysqli_fetch_assoc($exec)){
                                                        ?>
                                                            <option value="<?php echo $rowState['id']; ?>"><?php echo $rowState['catname']; ?></option>
                                                        <?php 
                                                        }
                                                        ?>
                                                    </select>

                                                    </div>
                                                </div>


                                                <div class="col-md-6" id="ordercat">
                                                    <div class="form-label-group">
                                                    <label for="servicecategory">Service Category</label>
                                    
                                                    <select class="form-control " name="servicecat" id="cat_service" required="required" >
                                                        
                                                        
                                                    </select>

                                                    </div>
                                                </div>
                                            </div>
                                            
                                        </div>


                                

                                        <div class="form-group" id="amtdiv">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Rate</label>
                                                    <input type="text" id="amt" class="form-control" name="amt" required="required" readonly>
                                                    
                                                    </div>
                                                </div>


                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="paymentMethod">Payment Method</label>
                                                    <?php
                                                        $sqlPay = "SELECT * FROM `paymentmethod`";
                                                        $resPay = mysqli_query($mysqli, $sqlPay);
                                                    ?>
                                                    <select class="form-control" name="paymentMethod" id="paymentMethod" required="required">
                                                    <option value="" selected="selected" disabled="" >Sel. Payment Method</option>
                                                        <?php
                                                            while($rowPay = mysqli_fetch_assoc($resPay)){
                                                        ?>
                                                            <option value="<?php echo $rowPay['id']; ?>"><?php echo $rowPay['paymethod']; ?></option>
                                                        <?php
                                                            }
                                                        ?>

                                                    </select>
                                                    </div>
                                                </div>
                                            </div>
                                            
                                        </div>

                                        <div class="form-group" id="postyposview">
                                            <div class="form-row">
                                            <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="receibingPos">Receiving POS</label>
                                                    <?php
                                                        $sqlPos = "SELECT * FROM `pos` WHERE `branchid` = '$_SESSION[branchid]' AND `isconfirmed` = 1";
                                                        $resPayPos = mysqli_query($mysqli, $sqlPos);
                                                    ?>
                                                    <select class="form-control" name="whichpos" id="whichpos">
                                                    <option value="" selected="selected" disabled="" >Sel. POS Type</option>
                                                        <?php
                                                            while($rowPayPos = mysqli_fetch_assoc($resPayPos)){
                                                        ?>
                                                            <option value="<?php echo $rowPayPos['pos_id']; ?>"><?php echo $rowPayPos['pos_name']." [".$rowPayPos['pos_alias']." ]"; ?></option>
                                                        <?php
                                                            }
                                                        ?>

                                                    </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="form-group" id="staffView">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Available Staff</label>
                                                    <!-- <input type="text" id="city" class="form-control" name="city" placeholder="Enter City Name " required="required" autofocus="autofocus"> -->
                                                    <select class="form-control" name="availStaff" id="availStaff" required="required">

                                                    </select>
                                                    </div>
                                                </div>
                                            </div>
                                            
                                        </div>

                                        
                                        
<fieldset>
    <legend>Customer's Details</legend>
                                        <div class="form-group" >
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <!-- <label for="fullnames_staff">Customer's Name</label> -->
                                                    <input type="text" id="custName" class="form-control" name="custName" placeholder="Enter Name " required="required" autofocus="autofocus">
                                                    
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <!-- <label for="fullnames_staff">Customer's Phone Number</label> -->
                                                    <input type="text" id="custPhone" class="form-control" name="custPhone" placeholder="Enter Phone Number " required="required" autofocus="autofocus" onkeypress="return isNumberKey(this, event);">
                                                    <!-- isNumberKey(txt, evt) -->
                                                    </div>
                                                </div>
                                            </div>
                                            
                                        </div>
</fieldset>
                                        


                        

                                        <div class="modal-footer">
                                            <input class="btn btn-block" style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="serviceOrder" value="Place Order" onclick="return confirm('Are you sure to place order?');">
                                        </div>
                                </form>
                                
                            </div>
                        </div>


                        <div class="col-xl-8 col-lg-8">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblorderservices.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
               $(document).ready(function(){
                   $('#loading').hide();
                    $('#postyposview').hide();
                    $('#paymentMethod').change(function(){
                        
                        //alert('hello');
                        let paymethod = $('#paymentMethod').val();
                        if(paymethod == 2){
                            $("#whichpos").attr('required', '');
                            $('#postyposview').show();
                        }else{
                            $("#whichpos").removeAttr('required'); 
                            $('#postyposview').hide();

                        }
                    })
                    
                    



                    $('#staffView').hide();
                    $('#paymentMethodView').hide();
                    $('#serviceid').change(function(){
                    $('#ordercat').show();
                    $('#amt').val(0);
                    var st = $('#serviceid').val();
                        
                        $.ajax({
                            url:'getData.php',
                            method:'POST',
                            data: 'serviceid=' + st,
                            beforeSend: function (){
                                $('#loading').show();
                            },
                            success: function(data){
                                $('#cat_service').empty();
                                $('#cat_service').html(data);
                            },
                            complete: function(){
                                $('#loading').hide();
                            }
                        })
                    })

                    $('#serviceid').change(function(){
                        //$('#cat_service').addClass("selectpicker");
                        $('#paymentMethodView').show();
                        var serviceId = $('#serviceid').val();
                        $.ajax({
                            url:'getData.php?refService=' +serviceId,
                            method:'POST',
                            data: 'serviceId=' + serviceId
                        }).done(function(data){
                            console.log(data);
                            // $('#availStaff').empty();
                             $('#availStaff').html(data);
                        })
                    })

                    //availStaff
                    $('#cat_service').change(function(){
                        $('#staffView').show();
                        var jobtype = $('#cat_service').val();
                        // $.ajax({
                        //     url:'getData.php',
                        //     method:'POST',
                        //     data: 'serviceid=' + jobtype
                        // }).done(function(data){
                        //     //console.log(data);
                        //     $('#availStaff').empty();
                        //     $('#availStaff').html(data);
                        // })
                    })


                    

                    $('#cat_service').change(function(){
                        var jobtype = $('#cat_service').val();
                    //     $.ajax({
                    //     url:'confirmations.php?refree='+jobtype,
                    //     type:'GET',
                    //     success:function(data){
                    //         //console.log(data);
                    //         $('#amt').val(0);
                    //         $('#amt').val(data);
                    //     }
                    // });
                    $.ajax({
                            url:'confirmations.php?refree='+jobtype,
                            method:'GET',
                            beforeSend: function (){
                                $('#loading').show();
                            },
                            success: function(data){
                                $('#amt').val(0);
                            $('#amt').val(data);
                            },
                            complete: function(){
                                $('#loading').hide();
                            }
                        })
                        
                    })

               })

               function refundOrder(id){
                    let isConfirmed = confirm("Are you sure to Refund this Transaction?");
                    //alert(id);
                    if(isConfirmed){
                        $.ajax({
                            url:'confirmations.php?orderRefund='+id,
                            type:'GET',
                            success:function(data){
                            //body.append(data);
                            alert(data);
                            window.location.href = "orderservices.php";
                            }
                        });

                    }
                }
           </script>