<?php
session_start();
require '../db/dbconnect.php';
include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [7];
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }
if(!$_POST){
    msgAlert('No click detected!','../index.php');
}
if(isset($_POST['servSearch'])){
    $branch = $_POST['branchid'];
    $staffid = $_POST['staffid'];
    $from = $_POST['fromdate'];
    $to = $_POST['todate'];
    
    
    if($_SESSION['privilege']  == 7 ){


        

        if($staffid == '0'){ //staff is manager or asst. manager
        $sql = "SELECT * FROM `orderservices` WHERE `branchid` = '$branch'";
        }else{
            $sql = "SELECT * FROM `orderservices` WHERE `branchid` = '$branch' AND `attendingstaff` = '$staffid'";
            
        }

    }
    $sql .= " AND date_format(`loggedon`,'%Y-%m-%d') >= '$from' AND date_format(`loggedon`,'%Y-%m-%d') <= '$to' ORDER BY `id` DESC";
    $exec = mysqli_query($mysqli, $sql);
    //echo $sql;
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/tablecss/a.css">
    <link rel="stylesheet" href="../css/tablecss/b.css">
    <title>Hair Sense -- Product Sales Report</title>
</head>

<?php
    
?>
<body style="width:95%;text-align:center;margin:50px auto;">
<table id="example" class="display nowrap" style="width:100%">
        <thead>
                                        <th>S/N</th>
                                            <!-- <th>TrxID</th>
                                            <th>Ref</th> -->
                                            <th>Branch</th>
                                            <th>Department</th>
                                            <th>Category</th>
                                            <th>Amount(<strike>N</strike>)</th>
                                            <th>% Commision</th>
                                            <th>PayMethod</th>
                                            <th>Trx Date</th>
                                            <th>Customer</th>
                                            <th>Customer Phone</th>
                                            <th>Attendant</th>
                                            <th>Logged By</th>
                                            <th>Status</th>
                                            <th>View</th>
                                        </tr>
        </thead>
        <tbody>
        <?php
                                            $i = 1;
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <!-- <td><?php echo str_pad($row['id'], 8, '0', STR_PAD_LEFT); ?></td>
                                            <td><?php echo $row['trxid']; ?></td> -->
                                            <td><?php echo getBranchName($row['branchid']); ?></td>
                                            <td><?php echo getCategoryById($row['servicetype']); ?></td>
                                            <td><?php echo getCategorySubById($row['servicecategory']); ?></td>
                                            <td><?php echo number_format($row['amount'],2); ?></td>
                                            <td><?php echo $row['percentage']; ?></td>
                                            <td><?php echo getPaymentMethod($row['paymentmethod']); ?></td>
                                            <td style="font-size:13px;"><?php echo $row['loggedon']; ?></td>
                                            <!-- <td style="font-size:13px;"><?php echo date("h:i:s A", strtotime($row['loggedon'])) ?></td> -->
                                            <td><?php echo $row['customername']; ?></td>
                                            <td><?php echo $row['customerphone']; ?></td>
                                            <td><?php echo getUserByStaffId($row['attendingstaff']); ?></td>
                                            <td><?php echo getUserByStaffId($row['issuingstaff']); ?></td>
                                            <td>OK</td>
                                            <td style="text-align:center;">
                                                <?php
                                                        if($row['refundbymanager'] == 0){
                                                            
                                                ?>
                                                <a href="#" class="btn btn-warning btn btn-sm" onclick="openServices('<?php echo $row['trxid']; ?>');">
                                                <i class="fa fa-eye"></i>
                                                    View
                                                </a>
                                                
                                               

                                                
                                                <?php
                                                            
                                                    }else{
                                                        echo "Refunded";
                                                    }
                                                ?>
                                                
                                                
                                            
                                            </td>
                                            
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>
    

        </tbody>
        </tfoot>
    </table>
</body>
<script src="../js/tablejs/a.js"></script>
<script src="../js/tablejs/b.js"></script>
<script src="../js/tablejs/c.js"></script>
<script src="../js/tablejs/d.js"></script>
<script src="../js/tablejs/e.js"></script>
<script src="../js/tablejs/f.js"></script>
<script src="../js/tablejs/g.js"></script>
<script src="../js/tablejs/h.js"></script>
<script>
    $(document).ready(function() {
    $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
             'excel', 'pdf', 'print'
        ]
    } );
} );

function splillIt(trxId){
            var url = "../prodreceipt.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
function openServices(trxId){
            var url = "../srefundrec.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
                function refundOrder(id){
                    let isConfirmed = confirm("Are you sure to Refund this Transaction?");
                    //alert(id);
                    if(isConfirmed){
                        $.ajax({
                            url:'confirmations.php?orderRefund='+id,
                            type:'GET',
                            success:function(data){
                            //body.append(data);
                            alert(data);
                            window.location.href = "orderservices.php";
                            }
                        });

                    }
                }
</script>


<?php
}
?>

</html>