<!-- DataTales Example -->
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Lateness Logs</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php
                                if($_SESSION['privilege'] == 4){
                                    $sql = "SELECT * FROM `latenesslogs` WHERE `staffid` = '$_SESSION[staffid]' AND
                                            date_format(`loggedon`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";
                                }elseif($_SESSION['privilege'] == 6){
                                    
                                    $sql = "SELECT * FROM `latenesslogs` WHERE
                                            date_format(`loggedon`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";
                                }elseif($_SESSION['privilege'] == 2 || $_SESSION['privilege'] == 3){
                                    $sql = "SELECT * FROM `latenesslogs` WHERE `branch` = '$_SESSION[branchid]' AND
                                            date_format(`loggedon`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";
                                }
                                else {
                                    # code...
                                    $sql = "SELECT * FROM `latenesslogs` WHERE `loggedby` = '$_SESSION[staffid]' AND
                                            date_format(`loggedon`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";
                                }
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;

                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Staff ID.</th>
                                            <th>StaffName</th>
                                            <th>Branch</th>
                                            <th>Lateness Date</th>
                                            <th>Lateness Time</th>
                                            <th>Fine</th>
                                            <th>Note</th>
                                            <th>Logged By</th>
                                            <th>Date Logged</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['staffid']; ?></td>
                                            <td><?php echo getUserByStaffId($row['staffid']); ?></td>
                                            <td><?php echo getBranchName($row['branch']); ?></td>
                                            <td><?php echo change_date($row['latedate']); ?></td>
                                            <td><?php echo ($row['latetime']); ?></td>
                                            <td><?php echo money($row['fine_amount']); ?></td>
                                            <td><?php echo $row['latenote']; ?></td>
                                            <td><?php echo getUserByStaffId($row['loggedby']); ?></td>
                                            <td><?php echo change_date($row['loggedon']); ?></td>
                                            <td style="text-align:center;">
                                                <?php 
                                                
                                                    if( $row['fine_confirmed'] == 0){
                                                    
                                                ?>
                                                <!-- <a href="#" class="btn btn-warning btn-circle btn-sm">
                                                    <i class="fas fa-edit"></i>
                                                </a> -->

                                                <a href="confirmations.php?latenessDelete=<?php echo $row['hashref']; ?>" class="btn btn-danger btn-circle btn-sm" onclick="return confirm('Sure to Delete?');">
                                                    <i class="fas fa-trash"></i>
                                                </a>

                                                <a href="confirmations.php?latenessConfirm=<?php echo $row['hashref']; ?>" class="btn btn-warning btn-circle btn-sm" onclick="return confirm('Sure to Confirm?');">
                                                    <i class="fas fa-check"></i>
                                                </a>

                                                <?php
                                                    }else{
                                                ?>
                                                <a href="#" class="btn btn-success btn-circle btn-sm">
                                                    <i class="fas fa-check"></i>
                                                </a>
                                                <?php
                                                    }
                                                ?>


                                            
                                            </td>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>