<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
    $allowedUsers = [1,2,3];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense -- Add Product Page</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">New Assets</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <!-- Area Chart -->

                        <div class="col-xl-4 col-lg-8">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">Add New Assets</h6>
                                        
                                    </div>
                                <form method="POST" action="proc.php" style="padding:30px 20px;">
                                        <div class="form-group">

                                        <div class="form-row">
                                                <div class="col-md-12">
                                                <?php
                                                
                                                    $sql ="SELECT * FROM `opitems_1`";
                                               
                                                $execBranchs = mysqli_query($mysqli, $sql);
                                            ?>
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Category</label>
                                                    <select class="form-control selectpicker" id="catid" name="catid" required="required" data-live-search="true">
                                                        <option value="" selected="selected" disabled="" >Select Item Category</option>
                                                        <?php
                                                            while($rowProd = mysqli_fetch_assoc($execBranchs)){
                                                        ?>
                    <option value="<?php echo $rowProd['id']; ?>"><?php echo $rowProd['categoryname']; ?></option>
                                                        <?php
                                                            }
                                                        ?>
                                                    </select>
                                                    
                                                    </div>
                                                </div>
                                            </div>


                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Item Name</label>
                                                    <!-- <input type="text" id="posname" class="form-control" name="posname" placeholder="Enter POS's Name" required="required" autofocus="autofocus"> -->
                                                    <select class="form-control " id="itemname" name="itemname" required="required">
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <fieldset>
                                            <legend>Action</legend>
                                            <div class="form-group">
                                                    <div class="form-row">
                                                            <div class="col-md-6">
                                                                <div class="form-label-group">
                                                                <label for="descr">Add To Balance</label>
                                                                <!-- <input type="text" id="qty" class="form-control" name="qty" placeholder="Enter Asset Quantity" required="required" onkeypress="return isNumberKey(this, event);"> -->
                                                                <input type="radio" name="actions" id="addit" value="ADD" required>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-label-group">
                                                                <label for="descr">Remove from Bal. </label>
                                                                <!-- <input type="text" id="qty" class="form-control" name="qty" placeholder="Enter Asset Quantity" required="required" onkeypress="return isNumberKey(this, event);"> -->
                                                                <input type="radio" name="actions" id="remit" value="RMV" required>
                                                                </div>
                                                            </div>
                                                    </div>
                                            </div>
                                        </fieldset>
                                        

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="descr">Quantity</label>
                                                    <input type="text" id="qty" class="form-control" name="qty" placeholder="Enter Asset Quantity" required="required" onkeypress="return isNumberKey(this, event);">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="descr">Notes</label>
                                                    <!-- <input type="text" id="qty" class="form-control" name="qty" placeholder="Enter Asset Quantity" required="required" onkeypress="return isNumberKey(this, event);"> -->
                                                    <textarea name="notes" id="notes_req" class="form-control" placeholder="Enter Notes..." cols="30" rows="3"></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="modal-footer">
                                            <input class="btn btn-block" id="subBtnGo" style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="addnewQty" value="Add New Item Quantity">
                                        </div>
                                </form>
                                
                            </div>
                        </div>

                        


                        <div class="col-xl-8 col-lg-4">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblassetentries.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
            //serviceCat
            $(document).ready(function(){
                $('#serviceCat').hide();
                $('#catid').change(function(){
                    var catid = $('#catid').val();
                    $.ajax({
                        url:'confirmations.php?catItemID='+catid,
                        type:'GET',
                        success:function(data){
                            //alert(data);
                            $('#itemname').empty();
                            $('#itemname').html(data);
                        }
                    });
                    // if(userType == 4){
                    //     $('#serviceCat').show();
                    //     $("#servcat").attr('required', '');
                    // }else{
                    //     $('#serviceCat').hide();
                    //     $("#servcat").removeAttr('required'); 
                    // }
                // $('#cityfield').show();
                });
                $('#addit').change(function(){
                    //subBtnGo
                    
                    $("#notes_req").removeAttr('required'); 
                    $('#subBtnGo').val("Add New Item Quantity");

                })
                $('#remit').change(function(){
                    // alert("ok-");
                    
                    $("#notes_req").attr('required', '');
                    $('#subBtnGo').val("Remove New Item Quantity");
                })
            })
            function isNumberKey(txt, evt) {
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if(txt.value.length == 0 && charCode == 48){
                    return false;
                }else{
                        if (charCode == 46) {
                            //Check if the text already contains the . character
                            if (txt.value.indexOf('.') === -1) {
                            return false;
                            } else {
                            return true;
                            }
                        } else {
                            if (charCode > 31 && (charCode < 48 || charCode > 57)){
                                return false;
                            }
                            
                        }
                        return true;
                }
            }
           </script>