<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
    $downloadAble = false;
    $allowedUsers = [2,3,7];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }
      $staffId = $_SESSION['staffid'];
      
    
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense -- Daily Reportage</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
    <!-- <link rel="stylesheet" href="../css/tablecss/a.css"> -->
    <!-- <link rel="stylesheet" href="../css/tablecss/b.css"> -->
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
   <!-- <style>
       #example .pagination li {display: none;}
       #example .pagination li.prev, #example .pagination li.next {display: inline;}
   </style> -->

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Daily Reports</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <div class="col-xl-12 col-lg-12">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblmanreport.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
               $(document).ready(function(){
                   for (let index = 1; index < 150; index++) {
                        //if input is equal or less than stockbalance, accept it else return alert and bounce it.

                        $('#subrow_'+index).click(function(){
                            let stkbal = parseFloat($("#stkbal_"+index).val());
                            let inp = parseFloat($("#qtyappr_"+index).val());
                            let hid = $("#hid_"+index).val();
                                if(inp <= stkbal){
                                    let quest = confirm('Are you sure?');
                                    //let hid = $("#hid_"+index).val();

                                    if(quest){
                                        $.ajax({
                                        url:'confirmations.php?itemRef='+hid+'&newqty='+inp,
                                        type:'GET',
                                        success:function(data){
                                            alert(data);
                                            location.reload(true);
                                            
                                        }
                                        });
                                    }
                                }else{
                                    alert("Quantity is More Than Stock Balance.");
                                }
                        })
                        //subrowManager_
                        $('#subrowManager_'+index).click(function(){
                            let hid = $("#hid_"+index).val();
                            let recqty = parseFloat($("#qtyrec_"+index).val());
                            let myLen = $("#qtyrec_"+index).val().length;
                            //alert();
                            // alert(hid);
                            // alert(recqty);
                            if(myLen > 0){
                                let quest = confirm('Are you sure to submit "'+recqty+'" as the received Quantity?');
                                if(quest){
                                        $.ajax({
                                        url:'confirmations.php?itemRefT='+hid+'&recqty='+recqty,
                                        type:'GET',
                                        success:function(data){
                                            alert(data);
                                            location.reload(true);
                                        }
                                        });
                                    }else{
                                        alert("Request Aborted");
                                    }
                            }else{
                                alert("Empty Not Allowed");
                            }
                        })
                   }
                
               
               })

               function isNumberKey(txt, evt) {
                        var charCode = (evt.which) ? evt.which : evt.keyCode;
                        // if(txt.length == 0 && charCode == 48){
                        //     return false;
                        // }
                        
                        if (charCode == 46) {
                            //Check if the text already contains the . character
                            if (txt.value.indexOf('.') === -1) {
                            return false;
                            } else {
                            return true;
                            }
                        } else {
                            if(txt.value.length == 0 && charCode == 48){
                                return false;
                            }
                            if (charCode > 31 &&
                            (charCode < 48 || charCode > 57))
                            return false;
                        }
                        return true;
                    }
            </script>