<!-- DataTales Example -->
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">IOUs Logs</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php
                                if($_SESSION['privilege'] == 7){ //finance
                                    $downloadAble = true;
                                    $sql = "SELECT * FROM `iou_1` t1
                                    LEFT JOIN ioutype_1 t2 ON t2.id = t1.ioutype
                                    WHERE date_format(`dt_logged`, '%Y-%m') =date_format(now(),'%Y-%m') AND `is_confirmed` = 1 ORDER BY t1.`id` DESC";

                                }elseif($_SESSION['privilege'] == 4 || $_SESSION['privilege'] == 5){ //sales or floor staff
                                    $sql = "SELECT * FROM `iou_1` t1
                                            LEFT JOIN ioutype_1 t2 ON t2.id = t1.ioutype
                                            WHERE `staff` = '$_SESSION[staffid]' AND `branch` = '$_SESSION[branchid]' AND 
                                            date_format(`dt_logged`, '%Y-%m') =date_format(now(),'%Y-%m') AND `is_confirmed` = 1 ORDER BY t1.`id` DESC";
                                }else{ // manager or bm
                                    $sql = "SELECT * FROM `iou_1` t1
                                            LEFT JOIN ioutype_1 t2 ON t2.id = t1.ioutype
                                            WHERE `branch` = '$_SESSION[branchid]' AND
                                            date_format(`dt_logged`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY t1.`id` DESC";
                                }
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;

                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>IOU Type</th>
                                            <th>Amount</th>
                                            <th>Staff ID </th>
                                            <th>Branch </th>
                                            <th>Logged By</th>
                                            <th>Logged on</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['name']; ?></td>
                                            <td><?php echo $row['amount']; ?></td>
                                            <td><?php echo $row['staff']; ?></td>
                                            <td><?php echo getBranchName($row['branch']); ?></td>
                                            <td><?php echo $row['loggedby']; ?></td>
                                            <td><?php echo change_date($row['dt_logged']); ?></td>
                                            <td style="text-align:center;">
                                                <?php 
                                                    if( $row['is_confirmed'] == 0){
                                                    
                                                ?>
                                                

                                                <a href="confirmations.php?iouDelete=<?php echo $row['hash_val']; ?>" class="btn btn-danger btn-circle btn-sm" onclick="return confirm('Are you sure to delete IOU?');">
                                                    <i class="fas fa-trash"></i>
                                                </a>

                                                <a href="confirmations.php?iouConfirm=<?php echo $row['hash_val']; ?>" class="btn btn-warning btn-circle btn-sm" onclick="return confirm('Are you sure to confirm IOU?');">
                                                    <i class="fas fa-check"></i>
                                                    </a>
                                                <?php
                                                    }else{
                                                ?>
                                                <a href="#" class="btn btn-success btn-circle btn-sm">
                                                    <i class="fas fa-check"></i>
                                                </a>
                                                <?php
                                                    }
                                                ?>


                                            
                                            </td>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>