<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fines & Penalties</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
    <?php
        if(isset($_POST['subbtn'])){
            if($_SESSION['privilege'] == 6){
                $branchid = mysqli_escape_string($mysqli,$_POST['branchref']);
            }else{
                $branchid = $_SESSION['branchid'];
            }

            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $reason = mysqli_escape_string($mysqli,$_POST['reasons']);
            $amount = mysqli_escape_string($mysqli,$_POST['amt']);
            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            $sql = "INSERT INTO `penalties_1`(`id`, `staffid`, `reason`, `fined_amt`,`branch`, `loggedon`, `loggedby`) 
                    VALUES (NULL,'$staffid','$reason','$amount','$branchid',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 6 HOUR),'$sender')";
            $res = mysqli_query($mysqli, $sql);
            if($res){
                $title = "Penalty Logged";
                $body = "Penalty of <strike>N</strike> ".$amount." was logged against staff ".$staffid." on ".$dt." by ".$_SESSION['staffid'];
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                insertLogs($title,$body);
                        //insertCustomersDetail($custnames,$custPhone,$trxRef);
                echo "<script>window.close();</script>";
                //redirectTo('pos.php');
            }
        }



    ?>
    <div class="container">
        <form action="fines.php" method="post">
            
            <?php
                if(isset($_GET['branch'])){
            ?>
            <div class="form-group">
                <label for="">Defaulter's Info</label>
                <input type="text" name="userfullname" value="<?= getUserByStaffId($_GET['user']);?>"  class="txtbox" required readonly>
                <input type="hidden" name="staffid" value="<?= $_GET['user'];?>" required>
            </div>


            <div class="form-group">
                <label for="">Defaulter's Branch</label>
                <input type="text" name="branch" value="<?= getBranchName($_GET['branch']);?>"  class="txtbox" required readonly>
                <input type="hidden" name="branchref" value="<?= $_GET['branch'];?>">
            </div>
            <?php
                }else{
                $sql = "SELECT * FROM `user_table` WHERE `branchid` = '$_SESSION[branchid]' AND `privilege` >2 AND `privilege` <= 5";
                $exec = mysqli_query($mysqli, $sql);
            ?>
            <div class="form-group">
            <label for="">Defaulter's Info</label>
                <select name="staffid" id="" class="txtbox" required>
                    <option value="" selected disabled>Select Staff </option>
                    <?php
                        while($row= mysqli_fetch_assoc($exec)){
                    ?>
                    <option value="<?php echo $row['staffid']; ?>"><?php echo $row['name']." (".$row['staffid']." )"; ?></option>

                    <?php
                        }
                    ?>
                </select>
            </div>
            <?php
                }
            ?>
            <div class="form-group">
                <label for="">Reasons</label>

                <textarea name="reasons" id="" cols="10" rows="5" class="txtbox" required></textarea>
            </div>
            
            <div class="form-group">
                <label for="">Fine Amount (<strike>N</strike>)</label>
                <input type="text" name="amt" maxlength="11"  class="txtbox" onkeypress="return isNumberKey(this, event);" required>
            </div>

            <div class="form-group">
            <input type="submit" value="Log Penalties/Fines" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
                if(txt.value.length == 0 && charCode == 48){
                    return false;
                }else{
                        if (charCode == 46) {
                            //Check if the text already contains the . character
                            if (txt.value.indexOf('.') === -1) {
                            return true;
                            } else {
                            return false;
                            }
                        } else {
                            if (charCode > 31 && (charCode < 48 || charCode > 57)){
                                return false;
                            }
                            
                        }
                        return true;
                }
        }
</script>