<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Incidents Reports</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
<?php
        if(isset($_POST['subbtn'])){ //
            if($_SESSION['privilege'] == 6){
                $branchid = mysqli_escape_string($mysqli,$_POST['branchref']);
            }else{
                $branchid = $_SESSION['branchid'];
            }
            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);

            $latedate = mysqli_escape_string($mysqli,$_POST['latedate']);
            $time = date("h:i A", strtotime($_POST['latetime']));
            $latetime = mysqli_escape_string($mysqli,$time);
            $notes = mysqli_escape_string($mysqli,$_POST['notes']);


            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            
               
                $sql = "INSERT INTO `latenesslogs`(`id`, `staffid`, `latedate`, `latetime`, `latenote`,`branch`, `loggedby`, `loggedon`) 
                        VALUES (NULL,'$staffid','$latedate','$latetime','$notes','$branchid','$sender',CURDATE())";
                    
                $res = mysqli_query($mysqli, $sql);
                if($res){
                    $title = "Lateness Logged";
                    $body = "Lateness Logged for staff ".$staffid." on ".$dt." by ".$sender;
                    //$body = "Incident Logged against staff ".$staffid." on ".$dt." by ".$sender;
                    $_SESSION['msg'] = $body;
                    $_SESSION['success'] = true;
                    insertLogs($title,$body);
                    echo "<script>window.close();</script>";
                }
            
        }



    ?>
    <div class="container">
        <form action="lateness.php" method="post">
           
            <?php
                if(isset($_GET['branch'])){
            ?>
            <div class="form-group">
                <label for="">Defaulter's Info</label>
                <input type="text" name="userfullname" value="<?= getUserByStaffId($_GET['user']);?>"  class="txtbox" required readonly>
                <input type="hidden" name="staffid" value="<?= $_GET['user'];?>" required>
            </div>


            <div class="form-group">
                <label for="">Defaulter's Branch</label>
                <input type="text" name="branch" value="<?= getBranchName($_GET['branch']);?>"  class="txtbox" required readonly>
                <input type="hidden" name="branchref" value="<?= $_GET['branch'];?>">
            </div>

            <?php
                }else{
                    $sql = "SELECT * FROM `user_table` WHERE `branchid` = '$_SESSION[branchid]' AND `privilege` >2 AND `privilege` <= 5";
                    $exec = mysqli_query($mysqli, $sql);
            ?>
            <div class="form-group">
            <label for="">Staff Name and ID</label>
                <select name="staffid" id="" class="txtbox" required>
                <option value="" selected disabled>Select Staff </option>
                    <?php
                        while($row= mysqli_fetch_assoc($exec)){
                    ?>
                    <option value="<?php echo $row['staffid']; ?>"><?php echo $row['name']." (".$row['staffid']." )"; ?></option>

                    <?php
                        }
                    ?>
                </select>
            </div>
            <?php
                }
            ?>
            <div class="form-group">
                <label for="">Date</label>
                <input type="date" name="latedate" id="" class="txtbox" required>
            </div>

            <div class="form-group">
                <label for="">Time</label>
                <input type="time" name="latetime" id="" class="txtbox" required>
            </div>

            <div class="form-group">
                <label for="">Note</label>
                <textarea name="notes" id="" cols="10" rows="5" class="txtbox"></textarea>
            </div>
            
            

            <div class="form-group">
            <input type="submit" value="Log Lateness" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return false;
                } else {
                return true;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
</script>