<?php
session_start();
require '../db/dbconnect.php';
include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [1,2,3,5,6];
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }

  if($_SESSION['privilege'] == 1){
    $q1 = "SELECT * FROM `logs` WHERE date_format(`dt_logged`, '%Y-%m-%d') =date_format(now(),'%Y-%m-%d') ORDER BY `id` DESC LIMIT 10";

   }elseif ($_SESSION['privilege'] == 2 || $_SESSION['privilege'] == 3 ) {
     $q1 = "SELECT * FROM `logs` LEFT JOIN `user_table` ON `user_table`.`staffid` = `logs`.logged_by 
            WHERE`user_table`.`branchid` = '$_SESSION[branchid]' AND date_format(`dt_logged`, '%Y-%m-%d') =date_format(now(),'%Y-%m-%d') ORDER BY `logs`.`id` DESC LIMIT 10";
   }

   else{
     $q1 = "SELECT * FROM `logs` WHERE `logged_by` = '$_SESSION[staffid]' AND date_format(`dt_logged`, '%Y-%m-%d') =date_format(now(),'%Y-%m-%d') ORDER BY `id` DESC LIMIT 10";
    
   }
   $rest = mysqli_query($mysqli,$q1);


?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/tablecss/a.css">
    <link rel="stylesheet" href="../css/tablecss/b.css">
    <title>Hair Sense -- Product Sales Report</title>
</head>

<?php
    
?>
<body style="width:95%;text-align:center;margin:50px auto;">
<table id="example" class="display nowrap" style="width:100%">
        <thead>
                                        <th>S/N</th>
                                            <th>Title</th>
                                            <th>Body</th>
                                            <th>Date Logged</th>
                                            <th>Time Logged </th>
                                            <th>Logged By</th>
                                        </tr>
        </thead>
        <tbody>
        <?php
                                            $i = 1;
                                            while($row = mysqli_fetch_assoc($rest)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo $row['title'];; ?></td>
                                            <td><?php echo $row['body']; ?></td>
                                            <td style="font-size:13px;"><?php echo change_date($row['dt_logged']); ?></td>
                                            <td style="font-size:13px;"><?php echo date("h:i:s A", strtotime($row['dt_logged'])) ?></td>
                                            <td><?php echo $row['logged_by']; ?></td>
                                            
                                            
                                            
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>
    

        </tbody>
        </tfoot>
    </table>
</body>
<script src="../js/tablejs/a.js"></script>
<script src="../js/tablejs/b.js"></script>
<script src="../js/tablejs/c.js"></script>
<script src="../js/tablejs/d.js"></script>
<script src="../js/tablejs/e.js"></script>
<script src="../js/tablejs/f.js"></script>
<script src="../js/tablejs/g.js"></script>
<script src="../js/tablejs/h.js"></script>
<script>
    $(document).ready(function() {
    $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
             'excel', 'pdf', 'print'
        ]
    } );
} );

function splillIt(trxId){
            var url = "../prodreceipt.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
function openServices(trxId){
            var url = "srefundrec.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
</script>


<?php
}
?>

</html>