<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }
  if(isset($_GET['staffid']) && $_GET['staffid'] != ""){
      $staffid = $_GET['staffid'];
      $sqlCheck = "SELECT * FROM `user_table` WHERE staffid = '$staffid'";
      $res = mysqli_query($mysqli, $sqlCheck);
      $count = mysqli_num_rows($res);
      if($count <= 0){
        msgAlert('Invalid Token!','../index.php');
      }
      $rowUser = mysqli_fetch_assoc($res);
  }else{
    echo "<script>window.close();</script>";
    msgAlert('Invalid Token!','../index.php');
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pay Update</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
    <?php
        if(isset($_POST['subbtn'])){
            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $pay = mysqli_escape_string($mysqli,$_POST['pay']);
            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            if(InstanceOfPayThisMonth($staffid) > 0){
                $sql = "UPDATE `payother_1` SET `amount` = '$pay' WHERE `staffid` = '$staffid'";
            }else{
                $sql = "INSERT INTO `payother_1`(`id`, `staffid`, `dt_logged`, `loggedby`, `amount`) 
                        VALUES (NULL,'$staffid','$dt','$sender','$pay')";
            }
            
            $res = mysqli_query($mysqli, $sql);
            
            if($res){
                $title = "Pay Updated";
                $body = "Pay Updated for ".$staffid." on ".$dt." by ".$_SESSION['staffid'];
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                // insertLogs($title,$body);
                echo "<script>window.close();</script>";
            }
        }



    ?>
    <div class="container">
        <form action="pay_updates.php" method="post">
            
            <div class="form-group">
                <label for="">Staff ID</label>
                <input type="text" name="staffid"  class="txtbox" value="<?php echo $_GET['staffid']; ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Staff Name</label>
                <input type="text" name="namestaff"  class="txtbox" value="<?php echo getUserByStaffId($_GET['staffid']); ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Branch Name</label>
                <input type="text" name="namestaff"  class="txtbox" value="<?php echo getBranchName($rowUser['branchid']); ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Staff Role</label>
                <input type="text" name="namestaff"  class="txtbox" value="<?php echo getUserRole($rowUser['privilege']); ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Current Pay</label>
                <input type="text" name="namestaff"  class="txtbox" value="<?php echo money(getFullPay($_GET['staffid'])); ?>" readonly required>
            </div>

            
            
            <div class="form-group">
                <label for="">Update Staff Pay</label>
                <input type="text" name="pay"  class="txtbox"  required onkeypress="return isNumberKey(this, event);">
            </div>
            
    
            <div class="form-group">
            <input type="submit" value="Set New Pay" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return true;
                } else {
                return false;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
        window.onunload = function(){
            window.opener.location.reload();
        };
</script>