<!-- DataTales Example -->
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Stock Up History </h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php
                                    $sql = "SELECT * FROM `stockbalance_1` t1
                                            LEFT JOIN `supplyitems_1` t2 ON t2.id = t1.itemid
                                            WHERE `reqtype` = 'STK' AND  date_format(`loggedon`, '%Y-%m') =date_format(now(),'%Y-%m') AND  WEEK(`loggedon`) = WEEK(current_date) ORDER BY t1.`id` DESC";
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;

                                ?>
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                        <th>S/N</th>
                                            <th>Trx Ref</th>
                                            <th>Item </th>
                                            <th>Quantity</th>
                                            <th>Added By</th>
                                            <th>Added On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo $row['ref']; ?></td>
                                            <!-- <td><?php echo getBranchName($row['branchid']); ?></td> -->
                                            <td><?php echo $row['itemname']; ?></td>
                                            <td><?php echo $row['qty']; ?></td>
                                            <td><?php echo $row['loggedby']; ?></td>
                                            <td><?php echo change_date($row['loggedon']); ?></td>
                                            <td style="text-align:center;">
                                                <?php 
                                                    if( $row['isconfirmed'] == 0){
                                                    
                                                ?>
                                                <!-- <a href="#" class="btn btn-warning btn-circle btn-sm">
                                                    <i class="fas fa-edit"></i>
                                                </a> -->

                                                <a href="confirmations.php?trxDelete=<?php echo $row['trxref']; ?>" class="btn btn-danger btn-circle btn-sm" onclick="return confirm('Sure to Delete?');">
                                                    <i class="fas fa-trash"></i>
                                                </a>

                                                <a href="confirmations.php?trxConfirm=<?php echo $row['trxref']; ?>" class="btn btn-warning btn-circle btn-sm" onclick="return confirm('Sure to Confirm?');">
                                                    <i class="fas fa-check"></i>
                                                    </a>
                                                <?php
                                                    }else{
                                                ?>
                                                <a href="#" class="btn btn-success btn-circle btn-sm">
                                                    <i class="fas fa-check"></i>
                                                </a>
                                                <?php
                                                    }
                                                ?>


                                            
                                            </td>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>