<!-- DataTales Example -->
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Available Workers </h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php
                                    //$allowedUsers = [1];
                                    if ($_SESSION['privilege'] == 1) {
                                            $sql = "SELECT * FROM `user_table` WHERE `userindex` > 1 AND `privilege` >= 1 ORDER BY `id` DESC, `branchid` DESC";
                                    }else if ($_SESSION['privilege'] == 6){
                                            $sql = "SELECT * FROM `user_table` WHERE `userindex` > 1 AND `privilege` >= 1 ORDER BY `id` DESC, `branchid` DESC";
                                    }
                                    else{
                                        $sql = "SELECT * FROM `user_table` WHERE `staffid` != '$_SESSION[staffid]' AND `privilege` > 3 AND `branchid` = '$_SESSION[branchid]' ORDER BY `id` DESC";
                                    }
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;

                                ?>
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                        <th>S/N</th>
                                            <th>Name</th>
                                            <th>Staff ID</th>
                                            <!-- <th>Phone </th> -->
                                            <?php
                                                if($_SESSION['privilege'] >= 1){
                                                    echo "<th>Branch</th>";
                                                }
                                            ?>
                                            
                                            <th>User Role</th>
                                            <th>User Cat.</th>
                                            <th>Added By</th>
                                            <th>Added On</th>
                                            <th>Action/Status</th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            
                                            while($row = mysqli_fetch_assoc($exec)){
                                                if($row['privilege'] >= 2 && $row['privilege'] <= 3 ){
                                                    $bgcolor = 'green';
                                                    $txtcolor = 'white';
                                                }else{
                                                    $bgcolor = '';
                                                    $txtcolor = '';
                                                }
                                        ?>
                                        <tr style="background-color:<?php echo $bgcolor; ?>; color:<?php echo $txtcolor; ?>; ">
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo $row['name']; ?></td>
                                            <td><?php echo $row['staffid']; ?></td>
                                            <!-- <td><?php echo $row['phonenumber']; ?></td> -->
                                            <?php
                                                if($_SESSION['privilege'] >= 1){
                                            ?>
                                            <td><?php echo ($row['branchid'] == 0)?"Super Admin":getBranchName($row['branchid']); ?></td>
                                            <?php
                                                }
                                            ?>
                                            <td><?php echo getUserRole($row['privilege']); ?></td>
                                            <td><?php echo ($row['userclass'] == 0)?"None":getCategoryById($row['userclass']); ?></td>
                                            <td><?php echo $row['created_by']; ?></td>
                                            <td><?php echo change_date($row['dt_created']); ?></td>
                                            <td style="text-align:center;">
                                                <?php 
                                                    if( $row['isconfirmed'] == 0){
                                                    
                                                ?>
                                                <!-- <a href="#" class="btn btn-warning btn-circle btn-sm">
                                                    <i class="fas fa-edit"></i>
                                                </a> -->

                                                <a href="#" class="btn btn-danger btn-circle btn-sm" onclick="return deleteUser(<?php echo $row['id']; ?>);">
                                                    <i class="fas fa-trash"></i>
                                                </a>

                                                <button class="btn btn-warning btn-circle btn-sm" onclick="return userConfirm(<?php echo $row['id']; ?>);">
                                                    <i class="fas fa-check"></i>
                                                    </button>
                                                <?php
                                                    }else{
                                                        if($row['account_status'] == 1){
                                                ?>
                                                <a href="workers.php?activate=<?php echo $row['hid']; ?>" class="btn btn-secondary btn btn-sm" onclick="return confirm('Do you really want to deactivate this Staff?')">
                                                    <i class="fas fa-exclamation-triangle"></i>
                                                    Deactivate
                                                </a>
                                                        <?php
                                                        }else{
                                                        ?>
                                                <a href="workers.php?deactivate=<?php echo $row['hid']; ?>" class="btn btn-success btn btn-sm">
                                                    <i class="fas fa-check"></i>
                                                    Activate
                                                </a>
                                                <?php
                                                        }
                                                    }
                                                ?>


                                            
                                            </td>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>