<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
      $downloadAble = false;
    $allowedUsers = [8];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }

        
      $staffId = $_SESSION['staffid'];
      if(isset($_GET['activate'])){
          $activateId = $_GET['activate'];
          $actSql = "UPDATE `user_table` SET `account_status` = 0 WHERE `hid` = '$activateId'";
          $resact = mysqli_query($mysqli, $actSql);
          if($resact){
            $_SESSION['success'] = true;
            $title = "Account Deactivated";
            $body = "User De-activation was done by Staff ".$staffId;
            $_SESSION['msg'] = $body;
            //$_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('workers.php');
          }
      }
      if(isset($_GET['deactivate'])){
        $activateId = $_GET['deactivate'];
        $actSql = "UPDATE `user_table` SET `account_status` = 1 WHERE `hid` = '$activateId'";
        $resact = mysqli_query($mysqli, $actSql);
        if($resact){
            $_SESSION['success'] = true;
          $title = "Account Activated";
          $body = "User Activation was done by Staff ".$staffId;
          $_SESSION['msg'] = $body;
          //$_SESSION['success'] = true;
          insertLogs($title,$body);
          redirectTo('workers.php');
        }
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense Admin - Profile New Workers</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">

    <!-- link for datepicker -->
    <!-- <link href="css/daterangepicker.css" rel="stylesheet"> -->
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
    <!-- <script src="js/moment.js"></script> -->

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Supply Items</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <!-- Area Chart getLastUserIndex();-->

                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">New Expenses Type</h6>
                                        
                                        
                                    </div>
                                    
                                <form method="POST" action="process.php" style="padding:30px 20px;">


                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="staffid">Expense Type Name</label>
                                                    <input type="text" id="sitem" class="form-control" name="supitem"  required="required" >
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        
                                        <div class="modal-footer">
                                            <input class="btn btn-block" style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="CreateExpItem" value="Add Expense Type">
                                        </div>
                                </form>
                                
                            </div>
                        </div>


                        <div class="col-xl-8 col-lg-8">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblexpenses.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
            //serviceCat
            $(document).ready(function(){
                // $('#serviceCat').hide();
                // $('#usertype').change(function(){
                //     var userType = $('#usertype').val();
                //     if(userType == 4){
                //         $('#serviceCat').show();
                //         $("#servcat").attr('required', '');
                //     }else{
                //         $('#serviceCat').hide();
                //         $("#servcat").removeAttr('required'); 
                //     }
                // // $('#cityfield').show();
                // });
            })
           </script>