<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Incidents Reports</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
<?php
        if(isset($_POST['subbtn'])){ //
            //$staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $hashid = genRanString(30);
            $loanamt = mysqli_escape_string($mysqli,$_POST['loanamt']);
            $notes = mysqli_escape_string($mysqli,$_POST['notes']);


            $sender = $_POST['staffid'];
            $branch = $_POST['br_id_nm'];
            $dt = date("Y-m-d");
            
               
                $sql = "INSERT INTO `loan_1`(`id`,`hashid`,`branchid`, `staffid`, `requeston`, `loggedby`, `loanamount`, `notes`) 
                        VALUES (NULL,'$hashid','$branch','$sender',CURRENT_TIMESTAMP(),'$sender','$loanamt','$notes')";
                if(InstanceOfLoan($sender) < 1){
                        $res = mysqli_query($mysqli, $sql);
                        if($res){
                            
                                    $title = "Loan Request Logged";
                                    $body = "Loan Request Logged for staff ".$sender." on ".$dt." by ".$sender;
                                    //$body = "Incident Logged against staff ".$staffid." on ".$dt." by ".$sender;
                                    $_SESSION['msg'] = $body;
                                    $_SESSION['success'] = true;
                                    insertLogs($title,$body);
                                    echo "<script>window.close();</script>";
                        }
                }else{
                    $title = "Loan Requested";
                        $body = "Loan Request Limit Exceeded for this Month";
                        $_SESSION['msg'] = $body;
                        $_SESSION['failure'] = true;
                        //insertLogs($title,$body);
                        echo "<script>window.close();</script>";
                }
            
        }



    ?>
    <div class="container">
        <form action="loanreq.php" method="post">
        <?php
                $sqlBranch = "SELECT * FROM `branches` WHERE `isconfirmed` = 1 AND id >= 1";
                $execBranch = mysqli_query($mysqli, $sqlBranch);
        ?>
            <div class="form-group">
            <label for="">Staff's Branch</label>
                <select name="br_id_nm" id="br_id" class="txtbox" required>
                <option value="" selected disabled>Select Branch </option>
                    <?php
                        while($rowBranch= mysqli_fetch_assoc($execBranch)){
                    ?>
                    <option value="<?php echo $rowBranch['id']; ?>"><?php echo $rowBranch['branchname']; ?></option>

                    <?php
                        }
                    ?>
                </select>
            </div>


            
            <div class="form-group">
            <label for="">Defaulter's Info</label>
                <select name="staffid" id="staffid" class="txtbox" required>
                <!--  -->
                </select>
            </div>

            <div class="form-group">
                <label for="">Loan Amount</label>
                <input type="text" name="loanamt" id="" class="txtbox" onkeypress="return isNumberKey(this, event);" required>
            </div>

            <!-- <div class="form-group">
                <label for="">Time</label>
                <input type="date" name="latetime" id="" class="txtbox" required>
            </div> -->

            <div class="form-group">
                <label for="">Note</label>
                <textarea name="notes" id="" cols="10" rows="5" class="txtbox"></textarea>
            </div>
            
            

            <div class="form-group">
            <input type="submit" value="Log Loan Request" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script src="vendor/jquery/jquery.min.js"></script>
<!-- <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script> -->
<script>
    $(document).ready(function(){
        $('#br_id').change(function(){
                        // $('#paymentMethodView').show();
                        var br_id = $('#br_id').val();
                        //alert(br_id)
                        $.ajax({
                            url:'getData.php',
                            method:'POST',
                            data: 'br_id_nm=' + br_id,
                            beforeSend: function (){
                                $('#loading').show();
                            },
                            success: function(data){
                                //alert(data);
                                $('#staffid').empty();
                                $('#staffid').html(data);
                            },
                            complete: function(){
                                $('#loading').hide();
                            }
                        })
                    })
    })

    function isNumberKey(txt, evt) {
        var charCode = (evt.which) ? evt.which : evt.keyCode;
                if(txt.value.length == 0 && charCode == 48){
                    return false;
                }else{
                        if (charCode == 46) {
                            //Check if the text already contains the . character
                            if (txt.value.indexOf('.') === -1) {
                            return false;
                            } else {
                            return true;
                            }
                        } else {
                            if (charCode > 31 && (charCode < 48 || charCode > 57)){
                                return false;
                            }
                            
                        }
                        return true;
                }
        }
</script>