<?php 
  session_start();
  //session_destroy();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
    $allowedUsers = [5];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }
    if(isset($_GET['action']) == 'add'){
        $id = $_POST['product'];
        if(isset($_SESSION['mycart'][$id])){
            $qtyInitial = $_SESSION['mycart'][$id]['prodQty'];
            $amountInitial = $_SESSION['mycart'][$id]['prodAmount'];
            $_SESSION['mycart'][$id] = array("productID" => $id,
                                        "prodQty" => $qtyInitial+$_POST['qty'],
                                    "prodAmount" => $amountInitial+$_POST['amount'],
                                "prodRate" => $_POST['rate'],
                                "stockBal" => $_POST['stkbal']);
        }else{
            $_SESSION['mycart'][$id] = array("productID" => $id,
                                        "prodQty" => $_POST['qty'],
                                    "prodAmount" => $_POST['amount'],
                                "prodRate" => $_POST['rate'],
                            "stockBal" => $_POST['stkbal']);
        }
        header('Location: orderproducts.php');
    }
    if(isset($_GET['remove'])){
        $id = $_GET['remove'];
        unset($_SESSION['mycart'][$id]);
        header("location: orderproducts.php");
    }
        // echo "<pre>";
        // print_r($_SESSION['mycart']);
        // echo "</pre>";
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense -- Order Page</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">
    
        <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"> -->
    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
    <style>
        #loading {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100vw;
  height: 100%;
  background-color: rgba(192, 192, 192, 0.5);
  background-image: url("https://i.stack.imgur.com/MnyxU.gif");
  background-repeat: no-repeat;
  background-position: center;}
    </style>
</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Order Products</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <div id="loading">
                            
                    </div>
                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <!-- Area Chart -->

                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">New Product Order </h6>
                                    </div>
                                            <?php
                                                $sqlProd = "SELECT * FROM `products`";
                                                $execProd = mysqli_query($mysqli, $sqlProd);
                                            
                                        ?>
                                <form method="POST" action="orderproducts.php?action=add" style="padding:30px 20px;">
                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="servicetype">Products</label>
                                    
                                                    <select class="form-control selectpicker" id="prodId" name="product" required="required" data-live-search="true">
                                                        <option value="" selected="selected" disabled="" >Select Product</option>
                                                        <?php
                                                            while($rowProd = mysqli_fetch_assoc($execProd)){
                                                        ?>
                    <option value="<?php echo $rowProd['product_id']; ?>"><?php echo $rowProd['productname']." ( ".$rowProd['prod_desc']." )"; ?></option>
                                                        <?php
                                                            }
                                                        ?>
                                                    </select>

                                                    </div>
                                                </div>


                                                
                                            </div>
                                            
                                        </div>

                                        <div class="form-group" id="amtdiv">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Stock Balance</label>
                                                    <input type="text" id="stkbal" class="form-control" name="stkbal" required="required" readonly>
                                                    
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Rate Per</label>
                                                    <input type="text" id="rate" class="form-control" name="rate" required="required" readonly>
                                                    
                                                    </div>
                                                </div>


                                                
                                            </div>
                                            
                                        </div>
                                        
                                       

                                        <div class="form-group" >
                                            <div class="form-row">
                                                

                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Quantity</label>
                                                    <input type="text" id="qty" class="form-control" name="qty" placeholder="Enter Quantity" required="required" autofocus="autofocus" onkeyup="calcAmount();" onkeypress="return isNumberKey(this, event);">
                                                    <!-- isNumberKey(txt, evt) -->
                                                    </div>
                                                </div>

                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Amount (<strike>N</strike>)</label>
                                                    <input type="text" id="amount" class="form-control" name="amount" value="0" required="required" readonly>
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                            
                                        </div>


                        

                                        <div class="modal-footer">
                                            <input class="btn btn-block" id='cartAdd' style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="serviceOrder" value="Add to Cart" >
                                        </div>
                                </form>
                                
                            </div>
                        </div>


                        <div class="col-xl-8 col-lg-8">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblorderproducts.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
               $(document).ready(function(){
                   $('#loading').hide();
                   $('#whichposPan').hide();
                   $('.noshow').hide();
                    $('#prodId').change(function(){
                        $('#qty').focus();
                    var prodID = $('#prodId').val();
                        // $.ajax({
                        //     url:'getData.php',
                        //     method:'POST',
                        //     data: 'prodId=' + prodID
                        // }).done(function(data){
                        //     console.log(data);
                        //      $('#stkbal').empty();
                        //     $('#stkbal').val(data);
                        // });
                        $.ajax({
                            url:'getData.php',
                            method:'POST',
                            data: 'prodId=' + prodID,
                            beforeSend: function (){
                                $('#loading').show();
                            },
                            success: function(data){
                                $('#stkbal').empty();
                                $('#stkbal').val(data);
                            },
                            complete: function(){
                                $('#loading').hide();
                            }
                        })
                        $.ajax({
                        url:'confirmations.php?prodRef='+prodID,
                        type:'GET',
                        success:function(data){
                            console.log(data);
                            $('#rate').val(0);
                            $('#rate').val(data);
                        }
                    });
                        
                    })

                    $('#paymentMethod').change(function(){
                        let paymethod = $('#paymentMethod').val();
                       // alert(paymethod);
                        if(paymethod == 2){
                            $("#whichpos").attr('required', '');
                            $('#whichposPan').show();
                        }else{
                            $("#whichpos").removeAttr('required'); 
                            $('#whichposPan').hide();

                        }
                    })
               })
               function calcAmount(){
                    let rate = parseFloat($('#rate').val());
                    let qty = parseFloat($('#qty').val());
                    let amount;
                    amount = rate * qty;
                    //return amount;
                    if(qty == ""){
                        $('#amount').val(0);
                    }
                    $('#amount').val(amount);
                    checkConformity();
                }

               
                function checkConformity(){
                    let stockBalance = parseFloat($('#stkbal').val());
                    let qty = parseFloat($('#qty').val());
                    if(qty > stockBalance ){
                       // $('#qty').prop('disabled', true);
                       $('#qty').css("border", "3px solid red");
                       $("#cartAdd").prop("value", "Quantity More Than Stock Balance!!!");
                       $("#cartAdd").prop("disabled",true);
                        
                    }else if(qty <= 0){
                        $('#qty').css("border", "3px solid red");
                       $("#cartAdd").prop("value", "Quantity Should be more than 1");
                       $("#cartAdd").prop("disabled",true);
                    }
                    else{
                        $('#qty').css("border", "");
                        $("#cartAdd").prop("value", "Add to Cart");
                        $("#cartAdd").prop("disabled",false);
                    }
                    
                }
           </script>