<?php
session_start();
require '../db/dbconnect.php';
include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [1,2,3,5];
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }
if(!$_POST){
    msgAlert('No click detected!','../index.php');
}
if(isset($_POST['prodSearchRefund'])){
    $from = $_POST['fromdate'];
    $to = $_POST['todate'];
    if(isset($_POST['staffid'])){
        $staffid = $_POST['staffid'];
    }
    if(isset($_POST['branchid'])){
        $branchid = $_POST['branchid'];
    }
    
    if($_SESSION['privilege'] > 1 && $_SESSION['privilege'] <= 3 ){

        if($staffid == '0'){ //staff is manager or asst. manager
        $sql = "SELECT *,count(`amount`) AS `prdcount`, SUM(`amount`) AS `sumtotal` FROM `transactionstb` 
                WHERE `trxtype` = 'ORDER' AND `branchid` = '$_SESSION[branchid]' AND `isrefund` = 1";
        }else{
            $sql = "SELECT *,count(`amount`) AS `prdcount`, SUM(`amount`) AS `sumtotal` FROM `transactionstb` 
                WHERE `trxtype` = 'ORDER' AND `branchid` = '$_SESSION[branchid]' AND `loggedby` = '$staffid' AND `isrefund` = 1";
        }

    }elseif($_SESSION['privilege'] == 5){
        $sql = "SELECT *,count(`amount`) AS `prdcount`, SUM(`amount`) AS `sumtotal` FROM `transactionstb` 
                WHERE `trxtype` = 'ORDER' AND `loggedby` = '$_SESSION[staffid]' AND `isrefund` = 1";
    }else{
        if($branchid == '0'){ 
            $sql = "SELECT *,count(`amount`) AS `prdcount`, SUM(`amount`) AS `sumtotal` FROM `transactionstb` 
            WHERE `trxtype` = 'ORDER' AND `isrefund` = 0";
        }else{
            $sql = "SELECT *,count(`amount`) AS `prdcount`, SUM(`amount`) AS `sumtotal` FROM `transactionstb` 
            WHERE `trxtype` = 'ORDER' AND `isrefund` = 0 AND `branchid` = '$branchid'";
        }
    }
    $sql .= " AND date_format(`date`,'%Y-%m-%d') >= '$from' AND date_format(`date`,'%Y-%m-%d') <= '$to' GROUP BY `trxid` ORDER BY `id` DESC";
    $exec = mysqli_query($mysqli, $sql);
    //echo $sql;
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/tablecss/a.css">
    <link rel="stylesheet" href="../css/tablecss/b.css">
    <title>Hair Sense -- Product Sales Report</title>
</head>

<?php
    
?>
<body style="width:70%;text-align:center;margin:50px auto;">
<table id="example" class="display nowrap" style="width:100%">
        <thead>
                                        <th>S/N</th>
                                            <th>TrxID</th>
                                            <th>Ref</th>
                                            <th>Branch</th>
                                            <th>Product count </th>
                                            <th>Amount(<strike>N</strike>)</th>
                                            <th>PayMethod</th>
                                            <th>Trx Date</th>
                                            <th>Trx Time</th>
                                            <th>Logged By</th>
                                            <th>Status</th>
                                            <th>View</th>
                                        </tr>
        </thead>
        <tbody>
        <?php
                                            $i = 1;
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            <td><?php echo str_pad($row['trxid'], 8, '0', STR_PAD_LEFT); ?></td>
                                            <td><?php echo $row['trxref']; ?></td>
                                            <td><?php echo getBranchName($row['branchid']); ?></td>
                                            <td><?php echo ($row['prdcount'] > 1)?$row['prdcount']." Products":$row['prdcount']."Product"; ?></td>
                                            <td><?php echo number_format($row['sumtotal'],2); ?></td>
                                            <td><?php echo getPaymentMethod($row['paymethod']); ?></td>
                                            <td style="font-size:13px;"><?php echo change_date($row['date']); ?></td>
                                            <td style="font-size:13px;"><?php echo date("h:i:s A", strtotime($row['date'])) ?></td>
                                            <td><?php echo getUserByStaffId($row['loggedby']); ?></td>
                                            <td>OK</td>
                                            <td style="text-align:center;">
                                                <?php
                                                        if($row['refundbymanager'] == 1){
                                                ?>
                                                <a href="#" class="btn btn-warning btn btn-sm" onclick="splillIt('<?php echo $row['trxref']; ?>');">
                                                <i class="fa fa-eye"></i>
                                                    View
                                                </a>
                                                <?php
                                                    }
                                                ?>
                                                
                                                
                                            
                                            </td>
                                            
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>
    

        </tbody>
        </tfoot>
    </table>
</body>
<script src="../js/tablejs/a.js"></script>
<script src="../js/tablejs/b.js"></script>
<script src="../js/tablejs/c.js"></script>
<script src="../js/tablejs/d.js"></script>
<script src="../js/tablejs/e.js"></script>
<script src="../js/tablejs/f.js"></script>
<script src="../js/tablejs/g.js"></script>
<script src="../js/tablejs/h.js"></script>
<script>
    $(document).ready(function() {
    $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
             'excel', 'pdf', 'print'
        ]
    } );
} );

function splillIt(trxId){
            var url = "../prodreceipt.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
function openServices(trxId){
            var url = "srefundrec.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
</script>


<?php
}
?>

</html>