<!-- DataTales Example -->
<?php
    if(!isset($_GET['requestref'])){
        $allowedUsers = [8,1];
        if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
            msgAlert('You donot have Permision to Use This Page!','index.php');
        }
?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Request Logs</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php
                                if($_SESSION['privilege'] == 2 || $_SESSION['privilege'] == 3){ // manager  a bm
                                    $sql = "SELECT * FROM `reqsummary_1`
                                            WHERE `loggedby` = '$_SESSION[staffid]' AND `branchid` = '$_SESSION[branchid]' AND 
                                            date_format(loggedon, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";
                                }else{ // others
                                   
                                    $sql = "SELECT * FROM `reqsummary_1`
                                            WHERE date_format(loggedon, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";
                                    
                                }
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;

                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Item Count</th>
                                            <?php
                    if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8){
                                            ?>
                                            <th>Branch </th>
                                            <?php
    }
                                            ?>
                                            <th>Logged By</th>
                                            <th>Note</th>
                                            <th>Logged On</th>
                                            <th>Status</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['itemcount']." Items"; ?></td>
                                            <?php
                    if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8){
                                            ?>
                                            <td><?php echo getBranchName($row['branchid']); ?></td>
                                            <?php
                    }
                                            ?>
                                            <td><?php echo $row['loggedby']; ?></td>
                                            <td><?php echo nl2br($row['notes']); ?></td>
                                            <td><?php echo change_date($row['loggedon']); ?></td>
                                            <td style="font-size: 0.8rem;">
                                                <?php
                                                    if(getValueFromTb('reqsummary_1','ref',$row['ref'],'status') >= 2){
                                                        echo "Received";
                                                    }else{
                                                        echo round(getSupplyPercentage($row['ref']),2,PHP_ROUND_HALF_UP)." %";
                                                    }
                                                        
                                                        // echo ($row['status'] == 0)?"Rejected":(($row['status'] == 1)?"80% Approved":(($row['status'] == 2)?"Approved":(($row['status'] == 3)?"Dispatched":"Received")));
                                                ?>
                                            </td>
                                            <td>
                                                
                                                    <a href="requesttb.php?requestref=<?php echo $row['ref']; ?>" class="btn btn-success btn-md" >
                                                        <i class="fas fa-eye"></i>
                                                        View Request
                                                    </a>
                                                             
                                            </td>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

<?php
    }else{
      
?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"><?php echo RequestHeading($_GET['requestref']); ?></h6>
                        </div>
                        <div class="card-body">

<div class="table-responsive">
<table class="table" id="" width="100%" cellspacing="0">
                                        <thead>
                                            <th>S/N</th>
                                            <th>Item Name</th>
                                            <th>Branch Stk Bal.</th>
                                            <th>Qty Requested</th>
                                            <?php
if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8){
    echo "<th>Supply Bal.</th>";
}
                                            ?>
                                            
                                            <th>Qty Approved</th>
                                            <?php
if($_SESSION['privilege'] == 2 || $_SESSION['privilege'] == 3){
                                            ?>
                                            <th>Qty Received</th>
                                            <?php
}
                                            ?>
                                            <th>Date Approved</th>
                                            <th colspan='2' style='text-align:center;'>Action</th>
                                        </thead>
                                    <tbody>
                                        <?php
                                            $sql = "SELECT * FROM `supplyorders_1` WHERE `genref` = '$_GET[requestref]'";
                                            $res = mysqli_query($mysqli, $sql);
                                            $count = mysqli_num_rows($res);
                                            if($count <= 0){
                                                $body =  "Invalid Reference";
                                                $_SESSION['msg'] = $body;
                                                $_SESSION['failure'] = true;
                                                redirectTo('requesttb.php');
                                            }

                                        ?>
                                        <form action="proc.php" method="POST">
                                            <?php
                                            $i = 1;
                                                    while($rowSql = mysqli_fetch_assoc($res)){
                                            ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo getValueFromTb('supplyitems_1','id',$rowSql['itemid'],'itemname'); ?></td>
                                        <td><?php echo $rowSql['stkbal']; ?></td>
                                        <td><?php echo $rowSql['qty']; ?></td>
                                        <?php
if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8){
                                        ?>
                                        <td><input type="text" id="stkbal_<?php echo $i; ?>" value="<?php echo stkbalItem($rowSql['itemid']); ?>" style="width:20%" disabled></td>
                                        <?php
}
                                        ?>
                                        <td>
                                            <?php
                                                    if(empty($rowSql['qty_approved'])){
                                                        if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8){
                                                            if(getValueFromTb('reqsummary_1','ref',$_GET['requestref'],'status') < 2){
                                            ?>

                                            <input type="text" id="qtyappr_<?php echo $i; ?>" name="qtyappr" style="width:20%" onkeyup="calcAmount();" onkeypress="return isNumberKey(this, event);">
                                            <?php
                                                            }
                                                        }else{
                                                            echo "N/A";
                                                        }
                                                    }else{
                                            ?>
                                            <!-- <input type="text" value="<?php echo $rowSql['qty_approved']; ?>" name="qtyappr" style="width:20%" disabled> -->
                                            <?php echo $rowSql['qty_approved']; ?>
                                            <?php
                                                    }
                                            ?>
                                        </td>
                                        <?php
if($_SESSION['privilege'] == 2 || $_SESSION['privilege'] == 3){
    if($rowSql['qty_received'] === NULL && !empty($rowSql['qty_approved'])){
                                            ?>
                                        <td>
                                        <input type="text" id="qtyrec_<?php echo $i; ?>" name="qtyrec"  style="width:20%; color:red;"  onkeypress="return isNumberKey(this, event);">
                                        </td>
                                        <?php
    }else{
        echo "<td>$rowSql[qty_received]</td>";
    }
}
                                        ?>
                                        <td><?php echo $rowSql['approvedon']; ?></td>
                                        <input type="hidden" name="hid" id="hid_<?php echo $i; ?>" value="<?php echo $rowSql['rowref']; ?>">
                                    <td>
                                    <?php
                                                    if(empty($rowSql['qty_approved'])){
                                                        if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8){
                                                            if(getValueFromTb('reqsummary_1','ref',$_GET['requestref'],'status') < 2){
                                            ?>
                                        <a href="#"  id="subrow_<?php echo $i; ?>" class="btn btn-warning btn-circle"><i class="fas fa-check"></i></a>
                                        <?php
                                                            }
                                                        }else{
                                                            echo "Pending";
                                                        }
                                                    }else{
                                            ?>
                                            <a href="#" id="subrowManager_<?php echo $i; ?>" class="btn btn-success btn-circle"><i class="fas fa-check"></i></a>
                                            <!-- <a href="#" onclick="alert('This row has been approved');" id="subrowManager_<?php echo $i; ?>" class="btn btn-success btn-circle"><i class="fas fa-check"></i></a> -->
                                            <?php
                                                    }
                                            ?>
                                    </td>
                                    </tr>

                                    <?php
                                    $i++;
                                                    }

                                                    if($_SESSION['privilege'] == 2 || $_SESSION['privilege'] == 3){
                                    ?>
                                    
                                    
                                   
                                    

                                 
                                    <tr>
                                        <td colspan="5"></td>
                                        <?php 
                                                if(getValueFromTb('reqsummary_1','ref',$_GET['requestref'],'status') < 2){
                                        ?>
                                        <td colspan='2' style='text-align:center;'><a href="confirmations.php?xyzabc=<?php echo $_GET['requestref']; ?>" target="_blank" class="btn btn-success btn-sm" style="width:100%;" name="placeSupplyOrder" onclick="return confirm('Are you sure to mark as received?');">Mark as Received?</a></td>
                                        <?php
                                                }else{
                                        ?>
<td colspan='2' style='text-align:center;'><a href="#"  class="btn btn-success btn-sm" style="width:100%;" name="placeSupplyOrder" onclick="alert('Item Received!');">Item Received!</a></td>
                                        <?php
                                                }
                                        ?>
                                    </tr>
                                    <?php
                                                    }
                                    ?>
                                    </tbody>
                                    </form>
                                </table>
</div>
                                                </div>
                                                </div>
<?php
    }
?>