<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }
  if(isset($_GET['staffid']) && $_GET['staffid'] != ""){
      $staffid = $_GET['staffid'];
      $sqlCheck = "SELECT * FROM `user_table` WHERE staffid = '$staffid'";
      $res = mysqli_query($mysqli, $sqlCheck);
      $count = mysqli_num_rows($res);
      if($count <= 0){
        msgAlert('Invalid Token!','../index.php');
      }
  }else{
    echo "<script>window.close();</script>";
    msgAlert('Invalid Token!','../index.php');
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Assumption Date Update</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
    <?php
        if(isset($_POST['subbtn'])){
            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $dateofassume = mysqli_escape_string($mysqli,$_POST['dateofassume']);
            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            $sql = "UPDATE `user_table` SET `assumptiondate` = '$dateofassume' WHERE `staffid` = '$staffid'";
            $res = mysqli_query($mysqli, $sql);
            if($res){
                $title = "Assumption Date Updated";
                $body = "Assumption Date Updated for ".$staffid." on ".$dt." by ".$_SESSION['staffid'];
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                insertLogs($title,$body);
                echo "<script>window.close();</script>";
            }
        }



    ?>
    <div class="container">
        <form action="assumeupd.php" method="post">
            
            <div class="form-group">
                <label for="">Staff ID</label>
                <input type="text" name="staffid"  class="txtbox" value="<?php echo $_GET['staffid']; ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Staff Name</label>
                <input type="text" name="namestaff"  class="txtbox" value="<?php echo getUserByStaffId($_GET['staffid']); ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Date of Assumption</label>
                <input type="date" name="dateofassume" class="txtbox" id="">
            </div>
            
    
            <div class="form-group">
            <input type="submit" value="Set Assumption Date" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return false;
                } else {
                return true;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
        window.onunload = function(){
            window.opener.location.reload();
        };
</script>