<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leave Applications</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    .txt{
        height:20%;
        width:50%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
<?php
        if(isset($_POST['subbtn'])){ //
            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $leavetype = mysqli_escape_string($mysqli,$_POST['leavetype']);
            $leavedays = mysqli_escape_string($mysqli,$_POST['leavedays']);
            $from = mysqli_escape_string($mysqli,$_POST['fromdate']);
            $to = mysqli_escape_string($mysqli,$_POST['todate']);
            $notes = mysqli_escape_string($mysqli,$_POST['notes']);

            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            $difff = dateDiff($from,$to);
            
            if($difff === $leavedays){
                $sql = "INSERT INTO `leavesapp_1`(`id`, `leavetype`, `staffid`, `days`, `date_from`, `date_to`, `loggedon`, `loggedby`, `isapproved`, `approvedon`, `approvedby`) 
                    VALUES (NULL,'$leavetype','$staffid','$leavedays','$from','$to',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 6 HOUR),'$sender',NULL,NULL,NULL)";
                    
                $res = mysqli_query($mysqli, $sql);
                if($res){
                    $title = "Leave Application Logged";
                    $body = "Leave Application of ".$leavedays." days for staff ".$staffid." Logged on ".$dt." by ".$sender;
                    $_SESSION['msg'] = $body;
                    $_SESSION['success'] = true;
                    insertLogs($title,$body);
                    echo "<script>window.close();</script>";
                }
            }else{
                if($difff > $leavedays){
                    $body = "No of Days Applied for less than the Specified Date Range";
                }else{
                    $body = "No of Days Applied for greather than the Specified Date Range";
                }
                
                    
                    $_SESSION['msg'] = $body;
                    $_SESSION['failure'] = true;
                    //insertLogs($title,$body);
                    echo "<script>window.close();</script>";
            }
        }



    ?>
    <div class="container">
        <form action="leaves.php" method="post">
            <?php
                $sql = "SELECT * FROM `user_table` WHERE `branchid` = '$_SESSION[branchid]' AND `privilege` >2 AND `privilege` <= 5";
                $exec = mysqli_query($mysqli, $sql);

                $sql_leaves = "SELECT * FROM `leavetype_1`";
                $leaveExec = mysqli_query($mysqli, $sql_leaves);
            ?>
            <div class="form-group">
            <label for="">Staff Info</label>
                <select name="staffid" id="" class="txtbox">
                <option value="" selected disabled>Select Staff </option>
                    <?php
                        while($row= mysqli_fetch_assoc($exec)){
                    ?>
                    <option value="<?php echo $row['staffid']; ?>"><?php echo $row['name']." (".$row['staffid']." )"; ?></option>

                    <?php
                        }
                    ?>
                </select>
            </div>

            <div class="form-group">
            <label for="">Leave Type</label>
                <select name="leavetype" id="" class="txtbox">
                <option value="" selected disabled>Select Leave Type </option>
                    <?php
                        while($rowLeave= mysqli_fetch_assoc($leaveExec)){
                    ?>
                    <option value="<?php echo $rowLeave['id']; ?>"><?php echo $rowLeave['leavename']; ?></option>

                    <?php
                        }
                    ?>
                </select>
            </div>

            <div class="form-group">
                <label for="">No of Days</label>
                <input type="text" name="leavedays" maxlength="2"  class="txtbox" onkeypress="return isNumberKey(this, event);">
            </div>

            <div class="form-group">
                <label for="">From</label>
                <input type="date" name="fromdate" id="" class="txtbox">
                <label for="">To</label>
                <input type="date" name="todate" id="" class="txtbox">
                <!-- <input type="text" name="leavedays" maxlength="2"  class="txtbox" onkeypress="return isNumberKey(this, event);"> -->
            </div>

            <div class="form-group">
                <label for="">Note</label>
                <textarea name="notes" id="" cols="10" rows="5" class="txtbox"></textarea>
            </div>
            
            

            <div class="form-group">
            <input type="submit" value="Submit Leave Application" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
        var charCode = (evt.which) ? evt.which : evt.keyCode;
                if(txt.value.length == 0 && charCode == 48){
                    return false;
                }else{
                        if (charCode == 46) {
                            //Check if the text already contains the . character
                            if (txt.value.indexOf('.') === -1) {
                            return false;
                            } else {
                            return true;
                            }
                        } else {
                            if (charCode > 31 && (charCode < 48 || charCode > 57)){
                                return false;
                            }
                            
                        }
                        return true;
                }
        }
</script>