<!-- DataTales Example -->
<?php
    if(!isset($_GET['ref'])){

?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">All Branches</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php

                                    $sql = "SELECT *,t1.id branchno FROM `branches` t1
                                            LEFT JOIN `states` t2 ON t2.state_id = t1.stateid
                                            LEFT JOIN `cities` t3 ON t3.id = t1.cityid
                                            WHERE t1.id > 0
                                            ORDER BY t1.`id` DESC";
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;
                                    $sumtotal = 0;
                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>States</th>
                                            <th>Cities</th>
                                            <th>Branch Name</th>
                                            <th>Staff Strength</th>
                                            <th>Action</th>
                                            
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['statename']; ?></td>
                                            <td><?php echo $row['cityname']; ?></td>
                                            <td><?php echo $row['branchname']; ?></td>
                                            <td><?php echo getStaffStrength($row['branchno']); ?></td>
                                            <td><a href="stafflist.php?ref=<?php echo $row['hashid']."&branch=".$row['branchno']; ?>" class="btn btn-warning btn-md">View More...</a></td>
                                           
                                            
                                        </tr>
                                        <?php
                                            $sumtotal += getStaffStrength($row['branchno']);
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                        <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th><?php echo $sumtotal; ?></th>
                                            <th></th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
<?php
    }else{
        $hash = $_GET['ref'];
        $branch = $_GET['branch'];
        if(checkHashInBranch($hash,$branch) == 0){
            msgAlert("Invalid References","stafflist.php");
        }
?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"><?php echo "List of Staff In ".getBranchName($branch)." Branch"; ?></h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php

                                    // $sql = "SELECT *,t4.id bid, t3.id did FROM `user_table` t1
                                    //         LEFT JOIN `branches` t4 ON t1.branchid = t4.id
                                    //         LEFT JOIN `services` t2 ON t2.id = t1.privilege
                                    //         LEFT JOIN `servicecategory` t3 ON t3.id = t1.userclass
                                    //         WHERE branchid = '$branch' AND `resign` = 0 AND `dismiss` = 0 AND t1.privilege NOT IN (6,7,8,9)
                                    //         ORDER BY t1.`id` ASC";
                                    $sql = "SELECT *,t4.id bid, t3.id did FROM `user_table` t1
                                            LEFT JOIN `branches` t4 ON t1.branchid = t4.id
                                            LEFT JOIN `services` t2 ON t2.id = t1.privilege
                                            LEFT JOIN `servicecategory` t3 ON t3.id = t1.userclass
                                            WHERE t1.branchid = '$branch' AND `resign` = 0 AND `dismiss` = 0
                                            ORDER BY t1.`id` ASC";
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;
                                    $sumtotal = 0;
                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Name</th>
                                            <th>StaffID</th>
                                            <th>Roles</th>
                                            <th>Department</th>
                                            <!-- <th>Base %</th> -->
                                            <th>Current %</th>
                                            <th>Date of Assumption</th>
                                            <th>User Status</th>
                                            <th>Action</th>
                                            
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                        <?php
                                            $branch = $_GET['branch'];
                                            while($row = mysqli_fetch_assoc($exec)){
                                                $staffid = $row['staffid'];
                                                $btn = '<a href=\'#\' onclick="openUpd(\'<?php echo $staffid; ?>\');" class="btn btn-danger btn-md">Update</a>';
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['name']; ?></td>
                                            <td><?php echo $row['staffid']; ?></td>
                                            <td><?php echo $row['categories']; ?></td>
                                            <td><?php echo (isset($row['catname']))?$row['catname']:"N/A"; ?></td>
                                            
                                            <td>
                                            <?php
                                                        echo ($row['assumptiondate'] === NULL)?"N/A":getStartSince($row['bid'],$row['did'],$row['staffid']);
                                                        
                                                ?>
                                                
                                            </td>
                                            <!-- <td><?php echo ($row['assumptiondate'] === NULL)?$btn:change_date($row['assumptiondate']); ?></td> -->
                                            <td><?php echo ($row['assumptiondate'] === NULL)?"<a onclick=\"openUpd('$staffid')\"; class='btn btn-warning btn-sm'><i class='fa fa-edit' aria-hidden='true'></i> Update</a>":change_date($row['assumptiondate'])."<a onclick=\"openUpd('$staffid')\"; class='btn btn-warning btn-sm'><i class='fa fa-edit' aria-hidden='true'></i> Update</a>"; ?></td>
                                            <td>
                                                <?php echo hrStatusCheck($row['statusmain'],$row['resign'],$row['dismiss']) ?>
                                        
                                            </td>
                                            <td >
                                                
                                
                                <div class="dropdown">
                                    <button class="btn btn-secondary btn-sm dropdown-toggle" type="button"  data-toggle="dropdown">
                                        Other Actions
                                    </button>
                                    <div class="dropdown-menu">
                                        <?php
                                            if($row['statusmain'] == 0){

                                        ?>
                                        <a class="dropdown-item" onclick="disableUser('<?php echo $row['staffid']; ?>')" href="#"><i class="fa fa-ban" aria-hidden="true"></i> Disable User</a>
                                        <?php
                                            }else{
                                                
                                        ?>
                                        <a class="dropdown-item" onclick="enableUser('<?php echo $row['staffid']; ?>')" href="#"><i class="fa fa-thumbs-up" aria-hidden="true"></i> Enable User</a>
                                        <?php
                                            }
                                        ?>
                                        <a class="dropdown-item" onclick="resignUser('<?php echo $row['staffid']; ?>')" href="#"><i class="fas fa-sign-out-alt"></i> Resignation</a>
                                        <a class="dropdown-item" onclick="openRedeploy('<?php echo $row['staffid']; ?>')" href="#"><i class="fa fa-history" aria-hidden="true"></i> Redeploy</a>
                                        <a class="dropdown-item" onclick="dismissUser('<?php echo $row['staffid']; ?>')" href="#"><i class="fa fa-window-close" aria-hidden="true"></i> Dismiss</a>
                                        <a class="dropdown-item" onclick="openUrl('fines.php?branch=<?= $branch; ?>&user=<?= $row['staffid']; ?>','Fine and Penalties');" href="#"><i class="fa fa-ban" aria-hidden="true"></i> Fines</a>
                                        <a class="dropdown-item" onclick="openUrl('lateness.php?branch=<?= $branch; ?>&user=<?= $row['staffid']; ?>','Lateness');" href="#"><i class="fa fa-window-close" aria-hidden="true"></i> Lateness</a>
                                        <a class="dropdown-item" href="lateness_1.php?staffRef=<?php echo $row['staffid']; ?>"><i class="fa fa-history" aria-hidden="true"></i> Lateness Logs</a>

                                    </div>
                                </div>


                                        
                                            </td>
                                           
                                            
                                        </tr>
                                        <?php
                                           // $sumtotal += getStaffStrength($row['branchno']);
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                    
                                </table>
                            </div>
                        </div>
                    </div>

<?php
    }
?>