<!-- DataTales Example -->
<?php
    if(!isset($_GET['ref'])){

?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">All Branches</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php

                                    $sql = "SELECT *,t1.id branchno FROM `branches` t1
                                            LEFT JOIN `states` t2 ON t2.state_id = t1.stateid
                                            LEFT JOIN `cities` t3 ON t3.id = t1.cityid
                                            WHERE t1.id > 0
                                            ORDER BY t1.`id` DESC";
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;
                                    $sumtotal = 0;
                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>States</th>
                                            <th>Cities</th>
                                            <th>Branch Name</th>
                                            <th>Staff Strength</th>
                                            <th>Action</th>
                                            
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['statename']; ?></td>
                                            <td><?php echo $row['cityname']; ?></td>
                                            <td><?php echo $row['branchname']; ?></td>
                                            <td><?php echo getStaffStrength($row['branchno']); ?></td>
                                            <td>
                                                <a href="paybranch.php?ref=<?php echo $row['hashid']."&branch=".$row['branchno']; ?>" class="btn btn-warning btn-md">Branch Payroll</a>
                                                <a href="branch_expense.php?ref=<?php echo $row['hashid']."&branch=".$row['branchno']; ?>" class="btn btn-danger btn-md">Branch Expenses</a>
                                                <a href="branch_income.php?ref=<?php echo $row['hashid']."&branch=".$row['branchno']; ?>" class="btn btn-success btn-md">Branch Incomes</a>
                                                <a href="monthly_summary.php?ref=<?php echo $row['hashid']."&branch=".$row['branchno']; ?>" class="btn btn-primary btn-md">Month's Summary</a>
                                            </td>
                                           
                                            
                                        </tr>
                                        <?php
                                            $sumtotal += getStaffStrength($row['branchno']);
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                        <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th><?php echo $sumtotal; ?></th>
                                            <th></th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
<?php
    }else{
        $hash = $_GET['ref'];
        $branch = $_GET['branch'];
        if(checkHashInBranch($hash,$branch) == 0){
            msgAlert("Invalid References","stafflist.php");
        }
?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"><?php echo "List of Staff In ".getBranchName($branch)." Branch"; ?></h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php

                                    $sql = "SELECT *,t4.id bid, t3.id did FROM `user_table` t1
                                            LEFT JOIN `branches` t4 ON t1.branchid = t4.id
                                            LEFT JOIN `services` t2 ON t2.id = t1.privilege
                                            LEFT JOIN `servicecategory` t3 ON t3.id = t1.userclass
                                            WHERE t1.branchid = '$branch' AND `resign` = 0 AND `dismiss` = 0
                                            ORDER BY t1.name ASC";
                                            //t3.`id` ASC,
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;
                                    $sumtotal = 0;
                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap table-bordered" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Name</th>
                                            <th>StaffID</th>
                                            <th>Roles</th>
                                            <th>Department</th>
                                            <th>Job Total</th>
                                            <!-- <th>Base %</th> -->
                                            <th>Percentage</th>
                                            <th>Earnings</th>
                                            <th>Maintenance Allowance</th>
                                            <th>Penalties/Fines</th>
                                            <th>Lateness Fines</th>
                                            <th>Cash IOU</th>
                                            <th>Other IOU</th>
                                            <th>Loans</th>
                                            <th>Coop</th>
                                            <th>Other Deductions</th>
                                            <th>Tax</th>
                                            <th>Total Receivable</th>
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                                $staffid = $row['staffid'];
                                                $btn = '<a href=\'#\' onclick="openUpd(\'<?php echo $staffid; ?>\');" class="btn btn-danger btn-md">Update</a>';
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['name']; ?></td>
                                            <td><?php echo $row['staffid']; ?></td>
                                            <td><?php echo $row['categories']; ?></td>
                                            <td><?php echo (isset($row['catname']))?$row['catname']:"N/A"; ?></td>
                                            <td><?= number_format(totalByStaff($staffid),2,".",","); ?></td>
                                            <!-- <td><?php echo ($row['assumptiondate'] === NULL)?"N/A":getStartSince($row['bid'],$row['did'],$row['staffid']); ?></td> -->
                                            <td>
                                            <?php
                                                    echo ($row['assumptiondate'] === NULL)?"N/A":getStartSince($row['bid'],$row['did'],$row['staffid']);
                                                        
                                                ?>
                                            </td>
                                            <!--<td><?php echo number_format(totalByStaff($staffid)*getStartSince($row['bid'],$row['did'],$row['staffid'])/100); ?></td> -->
                                            <td><?php echo number_format(getStaffEarnings($row['staffid']),2,".",","); ?></td> 
                                            <td><?= money(maintenanceAllowance($row['staffid']));?></td>
                                            <td><?php echo money(getPenaltiesSum($row['staffid'])); ?></td>
                                            <td><?php echo (getLatenessSum($row['staffid'])); ?></td>
                                            
                                            <td><?php echo money(cashIous($row['staffid'])); ?></td>
                                            <td><?php echo money(otherIous($row['staffid'])); ?></td>
                                            <td><?php echo getOutstandingLoan($row['staffid']); ?></td>
                                            <td><?php echo getCoop($row['staffid']); ?></td>
                                            <td><?php echo getOtherDeductions($row['staffid']); ?></td>
                                            <td><?php echo getTax($row['staffid']); ?></td>
                                            <td><?php echo number_format(allMoneyOut($row['staffid']),0,".",","); ?></td>
                                            
                                           
                                            
                                        </tr>
                                        <?php
                                           // $sumtotal += getStaffStrength($row['branchno']);
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                    
                                </table>
                            </div>
                        </div>
                    </div>

<?php
    }
?>