<?php

function phpAlert($msg,$link='../memberarea/') {
	$x = '<script type="text/javascript">alert("' . $msg . '")</script>';
    echo $x;			    
	if ($x) {			    
	    echo '<script type="text/javascript"> window.location.href = "' . $link . '"; </script>';			    
    }
}  
$errors = array();

if (isset($_POST['LoginButton'])) {
    $username = trim(mysqli_real_escape_string($mysqli,$_POST['loginUsername']));
    $username = str_replace(['"',"'",")","("], "", $username);
    $password = trim(mysqli_real_escape_string($mysqli,$_POST['loginPassword']));
    $password = str_replace(['"',"'"], "", $password);
    $password = md5($password);
            
    if (empty($username)) {array_push($errors, 'Staff Id Field Cannot be Empty');}
    if (empty($password)) {array_push($errors, 'Password Field Cannot be Empty');}
                
    $dt = date('Y-m-d  h:i:a');
    if (count($errors) == 0) {
        $query = "SELECT * FROM `user_table` WHERE `staffid` = '$username' AND `password` = '$password'" ;
        $result = mysqli_query($mysqli,$query);
        $count = mysqli_num_rows($result);
        if ($count > 0) {
            $row = mysqli_fetch_assoc($result);
            if($row['account_status'] == 0){
                array_push($errors, 'Account is De-activated, contact Admin.');
                $msg = "Account is Disabled";
                phpAlert($msg,'index.php');
                exit();
            }
            if($row['isconfirmed'] == 0){
                array_push($errors, 'Account is Not Confirmed yet, Please Contact your Line Manager/Admin.');
                $msg = "Account is Pending Confirmation";
                phpAlert($msg,'index.php');
                exit();
            }	
            $_SESSION['staffhid'] = $row['hid'];
            $_SESSION['staffname'] = $row['name'];
            $_SESSION['staffid'] = $row['staffid'];
            $_SESSION['staffemail'] = $row['staffemail'];
            $_SESSION['staffphonenumber'] = $row['phonenumber'];
            $_SESSION['privilege'] = $row['privilege'];
            $_SESSION['dt_created'] = $row['dt_created'];
            $_SESSION['account_status'] = $row['account_status'];
            $_SESSION['branchid'] = $row['branchid'];
            $_SESSION['userindex'] = $row['userindex'];

            //logs message that user just logged on
            $msg = 'Login Successfully!';
            $body = 'User '.$_SESSION['staffid'].' Logged in Successfully on '.$dt;
            if($row['staffid'] == "HSN0000"){
                phpAlert($msg,'memberarea/');
            }else{
                $sql2 = "INSERT INTO `logs`(`id`, `title`, `body`, `dt_logged`, `logged_by`) VALUES (NULL,'Succesful Login','$body','$dt','$_SESSION[staffid]')";
                //DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR)
                $res2 = mysqli_query($mysqli,$sql2);
                if ($res2) {
                    phpAlert($msg,'memberarea/');
                }
            }
        }else{
            array_push($errors, "Invalid Login Credentials!");
        }
    }
}


	

?>