<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }
  if(isset($_GET['ref']) && $_GET['ref'] != ""){
      $staffid = $_GET['ref'];
      $sqlCheck = "SELECT * FROM `user_table` WHERE staffid = '$staffid'";
      $res = mysqli_query($mysqli, $sqlCheck);
      $count = mysqli_num_rows($res);
      if($count <= 0){
        msgAlert('Invalid Token!','../index.php');
      }
      $userclass = getValueFromTb('user_table','staffid',$_GET['ref'],'userclass');
  }else{
    echo "<script>window.close();</script>";
    msgAlert('Invalid Token!','../index.php');
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Assumption Date Update</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
    <?php
        if(isset($_POST['subbtn'])){
            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $newdept = mysqli_escape_string($mysqli,$_POST['new_dept']);
            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            $sql = "UPDATE `user_table` SET `userclass` = '$newdept' WHERE `staffid` = '$staffid'";
            $res = mysqli_query($mysqli, $sql);
            if($res){
                $title = "Department Update";
                $body = "Department Updates for ".$staffid." on ".$dt." by ".$_SESSION['staffid'];
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                insertLogs($title,$body);
               // echo "<script>window.opener.location.reload();</script>";
                echo "<script>window.close();</script>";
                
            }
        }
        //pswdreset
        if(isset($_POST['pswdreset'])){
            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $newpass = "shoprite";
            $pswd = md5($newpass);
            $sql = "UPDATE `user_table` SET `password` = '$pswd' WHERE `staffid` = '$staffid'";
            $res = mysqli_query($mysqli, $sql);
            if($res){
                $title = "Password Reset";
                $body = "Password RESET for ".$staffid." on ".$dt." by ".$_SESSION['staffid'];
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                insertLogs($title,$body);
               // echo "<script>window.opener.location.reload();</script>";
                echo "<script>window.close();</script>";
                
            }
        }



    ?>
    <div class="container">
        <form action="changeref.php" method="post">
            
            <div class="form-group">
                <label for="">Staff ID</label>
                <input type="text" name="staffid"  class="txtbox" value="<?php echo $_GET['ref']; ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Staff Name</label>
                <input type="text" name="namestaff"  class="txtbox" value="<?php echo getUserByStaffId($_GET['ref']); ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Current Department</label>
                <input type="text" name="curr_dept" class="txtbox" value= "<?php echo getCategoryById($userclass); ?>" readonly required>
            </div>
            <div class="form-group">
                <label for="">New Department</label>
                <select name="new_dept" class="txtbox">
                    <?php
                    // if($_SESSION['branchid'] == 10){ //branch is combs
                    if(in_array($_SESSION['branchid'], $branchSpecialID)){
                        $sql = "SELECT * FROM `servicecategory` WHERE id NOT IN ($userclass, 0, 10) AND branchid IS NOT NULL";
                    }else{
                        $sql = "SELECT * FROM `servicecategory` WHERE id NOT IN ($userclass, 0, 10) AND branchid IS NULL";
                    }
                        
                        $query = mysqli_query($mysqli, $sql);
                        while($rowL = mysqli_fetch_assoc($query)){
                    ?>
                    <option value="<?php echo $rowL['id'];?>"><?php echo $rowL['catname'];?></option>
                    <?php
                        }
                    ?>
                </select>
            </div>
            
    
            <div class="form-group">
            <input type="submit" value="Update Department" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure to change Department?');">
            </div>

            <div class="form-group">
            <button  class="txtbox" name="pswdreset" onclick="return confirm('Are you sure to RESET Password?');">Reset Password for (<?php echo getUserByStaffId($_GET['ref']); ?>)</button
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return false;
                } else {
                return true;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
        window.onunload = function(){
            window.opener.location.reload();
        };
</script>