<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
    $allowedUsers = [4,5];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense --- Order Services</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

    <style>
        #loading {
          display: block;
          position: absolute;
          top: 0;
          left: 0;
          z-index: 100;
          width: 100vw;
          height: 100%;
          background-color: rgba(192, 192, 192, 0.5);
          background-image: url("https://i.stack.imgur.com/MnyxU.gif");
          background-repeat: no-repeat;
          background-position: center;}
    </style>
</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Order Services</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>
                    <div id="loading">
                            
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <!-- Area Chart -->

                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">Coop Savings </h6>
                                    </div>
                                    <!-- <div>
                                        <span id="ratespan">1</span>
                                    </div> -->
                                    <?php
                                        $sql = "SELECT * FROM `servicecategory` WHERE `isconfirmed` != 0";
                                        $exec = mysqli_query($mysqli, $sql);


                                    ?>
                                <form method="POST" action="process.php" style="padding:30px 20px;">
                                        

                                        
                                        
<fieldset>
    <legend>Coop Savings</legend>
                                        <div class="form-group" >
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Amount</label>
                                                    <input type="text" id="custName" class="form-control" name="amt" placeholder="Enter Amount " required="required" onkeypress="return isNumberKey(this, event);" autofocus="autofocus">
                                                    
                                                    </div>
                                                </div>

                                                <!-- <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Customer's Phone Number</label>
                                                    <input type="text" id="custPhone" class="form-control" name="custPhone" placeholder="Enter Phone Number " required="required" autofocus="autofocus" onkeypress="return isNumberKey(this, event);">
                                                   
                                                    </div>
                                                </div> -->
                                            </div>
                                            
                                        </div>
</fieldset>
                                        


                        

                                        <div class="modal-footer">
                                            <input class="btn btn-block" style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="savingBtn" value="Submit Savings" onclick="return confirm('Are you sure to Continue?');">
                                        </div>
                                </form>
                                
                            </div>
                        </div>


                        <div class="col-xl-8 col-lg-8">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblcoop.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
               $(document).ready(function(){
                   $('#loading').hide();
                    $('#postyposview').hide();
                    function isNumberKey(txt, evt) {
                        var charCode = (evt.which) ? evt.which : evt.keyCode;
                        if (charCode == 46) {
                            //Check if the text already contains the . character
                            if (txt.value.indexOf('.') === -1) {
                            return false;
                            } else {
                            return true;
                            }
                        } else {
                            if (charCode > 31 &&
                            (charCode < 48 || charCode > 57))
                            return false;
                        }
                        return true;
                    }
                })
                    
                    

                    


                    

                    

               
           </script>