<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }
//   if(isset($_GET['staffid']) && $_GET['staffid'] != ""){
//       $staffid = $_GET['staffid'];
//       $sqlCheck = "SELECT * FROM `user_table` WHERE staffid = '$staffid'";
//       $res = mysqli_query($mysqli, $sqlCheck);
//       $count = mysqli_num_rows($res);
//       if($count <= 0){
//         msgAlert('Invalid Token!','../index.php');
//       }
//   }else{
//     echo "<script>window.close();</script>";
//     msgAlert('Invalid Token!','../index.php');
//   }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Set Base Percentages for Departments in Various Branches</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    .loading{
        position: absolute;
        background-color: aquamarine;
        opacity: 0.2;
        width: 80%;
        height: 35%;
        /* visibility: none; */
        display: none;
    }
</style>
<body>
    <?php
        if(isset($_POST['subbtn'])){
            $branch = mysqli_escape_string($mysqli,$_POST['branch']);
            $department = mysqli_escape_string($mysqli,$_POST['department']);
            $basepercentage = mysqli_escape_string($mysqli, $_POST['basepercentage']);
            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            //$sql = "UPDATE `user_table` SET `assumptiondate` = '$dateofassume' WHERE `staffid` = '$staffid'";
            $sql = "INSERT INTO `base_percentage_1`(`id`, `percentage`, `branchid`, `deptid`, `addedby`, `addedon`) 
                    VALUES (NULL,'$basepercentage','$branch','$department','$sender','$dt')";
            $res = mysqli_query($mysqli, $sql);
            if($res){
                $title = "Base Percentage Update";
                $body = $basepercentage."% Set as Base % for ".getCategoryById($department)." in ".getBranchName($branch)." on ".$dt." by ".$_SESSION['staffid'];
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                insertLogs($title,$body);
                echo "<script>window.opener.location.reload();window.close();</script>";
            }
        }



    ?>
    <div class="container">
        <div class="loading"></div>
        <form action="percentages.php" method="post">
            
            <div class="form-group">
                <label for="">Branch </label>
                <select name="branch" id="branchname" class="txtbox" required>
                    <?php
                        $sqlBranch = "SELECT * FROM `branches` WHERE id > 0 AND `isconfirmed` = 1";
                        $execSql = mysqli_query($mysqli, $sqlBranch);
                    ?>
                    <option value="" selected disabled>Select Branch</option>
                    <?php
                        while($rowSql = mysqli_fetch_assoc($execSql)){
                    ?>
                    <option value="<?php echo $rowSql['id']; ?>" ><?php echo $rowSql['branchname']; ?></option>
                    <?php
                        }
                    ?>

                </select>
            </div>

            <div class="form-group deptrow" >
                <label for="">Department</label>
                <select name="department" id="departmentid" class="txtbox" required>
                    

                </select>
            </div>

            <div class="form-group">
                <label for="">Base Percentages (%)</label>
                <input type="text" name="basepercentage" class="txtbox" id="" maxlength="4" onkeypress="return isNumberKey(this, event);" required>
            </div>
            
    
            <div class="form-group">
            <input type="submit" value="Set Base Percentage" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script src="vendor/jquery/jquery.min.js"></script>
<script>

$(document).ready(function() {
    $('.deptrow').hide();
                    $('#branchname').change(function(){
                        $('.deptrow').show();
                    var branchref = $('#branchname').val();
                        $.ajax({
                            url:'getData.php',
                            method:'POST',
                            data: 'branch=' + branchref,
                            beforeSend: function (){
                                $('.loading').show();
                            },
                            success: function(data){
                                $('#departmentid').empty();
                                $('#departmentid').html(data);
                                // alert(data);
                            },
                            complete: function(){
                                $('.loading').hide();
                            }
                        })
                    });
});
  

    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return true;
                } else {
                return false;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
</script>