<?php
session_start();
require '../db/dbconnect.php';
include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [7,1];
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }
if(!$_POST){
    msgAlert('No click detected!','../index.php');
}
if(isset($_POST['expSearch'])){
    $branchid = $_POST['branchid'];
    $exptype = $_POST['expense'];
    $from = $_POST['fromdate'];
    $to = $_POST['todate'];
   
    
    
    $sql = "SELECT `hash` gid,`branchname` bname, t2.name expcat, t3.sub_name subname, t1.amount amt, t1.date_logged dloged, t1.logged_by lgdby, t1.logged_status logstat FROM `exp_logs` t1
            LEFT JOIN exp_cat t2 ON t2.id = t1.exp_cat
            LEFT JOIN exp_cat_sub t3 ON t3.id = t1.exp_cat_sub
            LEFT JOIN branches t4 ON t4.id = t1.branch
            WHERE date_format(t1.`date_logged`, '%Y-%m-%d') >= '$from' 
            AND date_format(t1.`date_logged`, '%Y-%m-%d') <= '$to' 
            AND t1.exp_cat_sub = '$exptype'
            AND t2.`type` = 2 AND `branch` = '$branchid' ORDER BY t1.`id` DESC";
        $exec = mysqli_query($mysqli,$sql);
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/tablecss/a.css">
    <link rel="stylesheet" href="../css/tablecss/b.css">
    <title>Hair Sense -- Expenses Report</title>
</head>

<?php
    
?>
<body style="width:95%;text-align:center;margin:50px auto;">
<table id="example" class="display nowrap" style="width:100%">
        <thead>
                                            <th>S/N</th>
                                            <th>Branch</th>
                                            <!-- <th>Expense cat.</th> -->
                                            <th>Expense Type</th>
                                            <th>Amount</th>
                                            <th>Date</th>
                                            <th>LoggedBy</th>
                                            <th>Action</th>
                                        </tr>
        </thead>
        <tbody>
        <?php
                                            $i = 1;
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <td><?php echo $i; ?></td>
                                            <td>
                                                
                                                    <?php echo $row['bname']; ?>
                                                    
                                            </td>
                                           
                                            <!-- <td><?php echo $row['expcat']; ?></td> -->
                                            <td><?php echo $row['subname']; ?></td>
                                            <td><?php echo '<strike>N</strike> '.number_format($row['amt'],0,".",","); ?></td>
                                            <td><?php echo $row['dloged']; ?></td>
                                            <td><?php echo $row['lgdby']; ?></td>
                                            <td style="text-align:center;">
                                                <?php 
                                                    if( $row['logstat'] == 0){
                                                    
                                                ?>
                                                
                                                Pending
                                                <?php
                                                    }else{
                                                ?>
                                                Confirmed
                                                <?php
                                                    }
                                                ?>


                                            
                                            </td>
                                           
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>
    

        </tbody>
        </tfoot>
    </table>
</body>
<script src="../js/tablejs/a.js"></script>
<script src="../js/tablejs/b.js"></script>
<script src="../js/tablejs/c.js"></script>
<script src="../js/tablejs/d.js"></script>
<script src="../js/tablejs/e.js"></script>
<script src="../js/tablejs/f.js"></script>
<script src="../js/tablejs/g.js"></script>
<script src="../js/tablejs/h.js"></script>
<script>
    $(document).ready(function() {
    $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
             'excel', 'pdf', 'print'
        ]
    } );
} );

function splillIt(trxId){
            var url = "../prodreceipt.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
function openServices(trxId){
            var url = "srefundrec.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
</script>


<?php
}
?>

</html>