<?php
// session_start();
// require '../db/dbconnect.php';
// include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [7,1];
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }
if(!$_POST){
    msgAlert('No click detected!','../index.php');
}
if(isset($_POST['genPayRoll'])){
    $branch = $_POST['branchid'];
    $month = $_POST['month'];
    $year = $_POST['year'];
    $fulldate = $year.'-'.$month.'-20';
    $newDate = date('Y-m-d',strtotime($fulldate));
    $monthArr = ["","JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OCT","NOV","DEC"];
    $searchdate = $monthArr[intval($month)]."/".$year;
    // echo $newDate;
   

?>


<style>
    .heading {
        font-weight: bolder;
    }
 </style>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"><?php echo "Payroll of Staff In ".getBranchName($branch)." Branch For {$searchdate}"; ?></h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php

                                    $sql = "SELECT *,t4.id bid, t3.id did FROM `user_table` t1
                                            LEFT JOIN `branches` t4 ON t1.branchid = t4.id
                                            LEFT JOIN `services` t2 ON t2.id = t1.privilege
                                            LEFT JOIN `servicecategory` t3 ON t3.id = t1.userclass
                                            WHERE t1.branchid = '$branch' AND `resign` = 0 AND `dismiss` = 0
                                            ORDER BY t1.name ASC";
                                            //t3.`id` ASC,
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;
                                    $sumtotal = 0;
                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap table-bordered" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Name</th>
                                            <th>StaffID</th>
                                            <th>Roles</th>
                                            <th>Department</th>
                                            <th>Job Total</th>
                                            <!-- <th>Base %</th> -->
                                            <th>Percentage</th>
                                            <th>Earnings</th>
                                            <th>Maintenance Allowance</th>
                                            <th>Penalties/Fines</th>
                                            <th>Lateness Fines</th>
                                            <th>Cash IOU</th>
                                            <th>Other IOU</th>
                                            <th>Loans</th>
                                            <th>Coop</th>
                                            <th>Other Deductions</th>
                                            <th>Tax</th>
                                            <th>Total Receivable</th>
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                                $staffid = $row['staffid'];
                                                $btn = '<a href=\'#\' onclick="openUpd(\'<?php echo $staffid; ?>\');" class="btn btn-danger btn-md">Update</a>';
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['name']; ?></td>
                                            <td><?php echo $row['staffid']; ?></td>
                                            <td><?php echo $row['categories']; ?></td>
                                            <td><?php echo (isset($row['catname']))?$row['catname']:"N/A"; ?></td>
                                            <td><?= number_format(totalByStaff($staffid,$month, $year),2,".",","); ?></td>
                                            <td>
                                            <?php
                                                    echo ($row['assumptiondate'] === NULL)?"N/A":getStartSince($row['bid'],$row['did'],$row['staffid']);
                                                        
                                                ?>
                                            </td>
                                            <td><?php echo money(getStaffEarnings($row['staffid'],$month,$year)); ?></td> 
                                            <td><?= money(maintenanceAllowance($row['staffid']));?></td>
                                            <td><?php echo money(getPenaltiesSum($row['staffid'],$month, $year)); ?></td>
                                            <td><?php echo money(getLatenessSum($row['staffid'],$month,$year)); ?></td>
                                            
                                            <td><?php echo money(cashIous($row['staffid'],$month,$year)); ?></td>
                                            <td><?php echo money(otherIous($row['staffid'],$month,$year)); ?></td>
                                            <td><?php echo getOutstandingLoan($row['staffid'],$month,$year); ?></td>
                                            <td><?php echo getCoop($row['staffid'],$month,$year); ?></td>
                                            <td><?php echo getOtherDeductions($row['staffid']); ?></td>
                                            <td><?php echo getTax($row['staffid']); ?></td>
                                            <td><?php echo number_format(allMoneyOut($row['staffid'],$month,$year),0,".",","); ?></td>
                                            
                                           
                                            
                                        </tr>
                                        <?php
                                           // $sumtotal += getStaffStrength($row['branchno']);
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                    <!--  -->
                                </table>
                            </div>
                        </div>
                    </div>
<?php
    }
}
?>