<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Supplies Requests</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
<?php
        if(isset($_POST['subbtn'])){ //
            $item = mysqli_escape_string($mysqli,$_POST['item']);
            $notes = mysqli_escape_string($mysqli,$_POST['notes']);
            $stkbal = mysqli_escape_string($mysqli,$_POST['stkbal']);
            $newreq = mysqli_escape_string($mysqli,$_POST['newreq']);
            // $to = mysqli_escape_string($mysqli,$_POST['todate']);
            // $notes = mysqli_escape_string($mysqli,$_POST['notes']);

            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            $hash = genRanString(30);
               
                $sql = "INSERT INTO `requesttb_1`(`id`, `hashid`, `itemid`, `qty`, `branch`, `note`, `loggedon`, `loggedby`, `stkbal`) 
                VALUES (NULL,'$hash','$item','$newreq','$_SESSION[branchid]','$notes',CURRENT_TIMESTAMP(),'$sender','$stkbal')";
   
                $res = mysqli_query($mysqli, $sql);
                if($res){
                    $title = "Request Logged";
                    //$body = "Leave Application of ".$leavedays." days for staff ".$staffid." Logged on ".$dt." by ".$sender;
                    $body = "Request for Items Logged on $dt by $sender";
                    $_SESSION['msg'] = $body;
                    $_SESSION['success'] = true;
                    insertLogs($title,$body);
                    echo "<script>window.close();</script>";
                }
            
        }



    ?>
    <div class="container">
        <form action="supprequest.php" method="post">
            <?php
                $sql = "SELECT * FROM `supplyitems_1` WHERE `isconfirmed` = 1";
                $exec = mysqli_query($mysqli, $sql);
            ?>
            <div class="form-group">
            <label for="">Item</label>
                <select name="item" id="" class="txtbox">
                <option value="" selected disabled>Select Item </option>
                    <?php
                        while($row= mysqli_fetch_assoc($exec)){
                    ?>
                    <option value="<?php echo $row['id']; ?>"><?php echo $row['itemname']; ?></option>

                    <?php
                        }
                    ?>
                </select>
            </div>

            <div class="form-group">
                <label for="">Stock Balance</label>
                <input type="text" name="stkbal"   class="txtbox" onkeypress="return isNumberKey(this, event);" required>
            </div>

            <div class="form-group">
                <label for="">New Request</label>
                <input type="text" name="newreq" maxlength="11"  class="txtbox" onkeypress="return isNumberKey(this, event);" required>
            </div>

            <div class="form-group">
                <label for="">Note</label>
                <textarea name="notes" id="" cols="10" rows="5" class="txtbox"></textarea>
            </div>
            
            

            <div class="form-group">
            <input type="submit" value="Log Request" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return false;
                } else {
                return true;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
</script>