<!-- DataTales Example -->
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Loan Request Logs</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php
                                if($_SESSION['privilege'] == 7){
                                    $sql = "SELECT * FROM `loan_1` t1
                                            LEFT JOIN user_table t2 ON t2.staffid = t1.staffid
                                            WHERE t1.`isapproved` >= 0 AND
                                            date_format(`requeston`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY t1.`id` DESC";
                                }else{
                                    $sql = "SELECT * FROM `loan_1` t1
                                            LEFT JOIN user_table t2 ON t2.staffid = t1.staffid
                                            WHERE t1.`loggedby` = '$_SESSION[staffid]' AND
                                            date_format(`requeston`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY t1.`id` DESC";

                                }
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;

                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Staff name </th>
                                            <th>Staff ID</th>
                                            <th>Notes</th>
                                            <th>Amount</th>
                                            <th>Logged By</th>
                                            <th>Date Applied</th>
                                            <th>Status</th>
                                            <th>Date Updated</th>
                                            <th>Tenor</th>
                                            <th>Reason</th>
                                            <?php
                                                if($_SESSION['privilege'] == 7){
                                                    echo "<th>Action</th>";
                                                }
                                            ?>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['name']; ?></td>
                                            <td><?php echo $row['staffid']; ?></td>
                                            <td><?php echo $row['notes']; ?></td>
                                            <td><?php echo $row['loanamount']; ?></td>
                                            <td><?php echo $row['loggedby']; ?></td>
                                            <td><?php echo change_date($row['requeston']); ?></td>
                                            <td><?php echo ($row['isapproved'] == 0)?'<button class="btn btn-warning">Pending</button>':(($row['isapproved'] == 1)?'<button class="btn btn-success">Approved</button>':'<button class="btn btn-danger">Rejected</button>'); ?></td>
                                            <td><?php echo ($row['isapproved'] != 0)?change_date($row['approvedon']):'N/A';; ?></td>
                                            <td><?php echo ($row['isapproved'] == 1)?$row['tenor']:'N/A'; ?></td>
                                            <td><?php echo ($row['isapproved'] != 0)?$row['reason']:'N/A';; ?></td>
                                            <?php
                                                if($_SESSION['privilege'] == 7){
                                                    $hash = $row['hashid'];
                                            ?>
                                        <td>
                                            <?php
                                                if($row['isapproved'] == 0){
                                            ?>
                                            <a href="#" onclick="openUrl('loanapprovals.php?ref=<?php echo $hash; ?>','Loan Request');" class="btn btn-secondary btn-md">Actions</a>
                                            <?php
                                                }else{
                                                    echo "Completed";
                                                }
                                            ?>
                                        </td>
                                            <?php
                                                }
                                            ?>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>