<!-- DataTales Example -->
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Assets Query Logs</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php
                                if($_SESSION['privilege'] == 9){
                                    $sql = "SELECT *,t1.id ino FROM `maintainance_logs_1` t1
                                            LEFT JOIN `opitemlist_1` t2 ON t2.id = t1.assetid
                                            LEFT JOIN `maintenance_actions_1` t3 ON t3.id = t1.actionid
                                            WHERE `actionid` != 0  ORDER BY `t1`.`id` DESC";
                                }else{
                                    $sql = "SELECT * FROM `itemlist_1` 
                                            WHERE `addedby` = '$_SESSION[staffid]' AND `branch` = '$_SESSION[branchid]' AND
                                            date_format(`addedon`, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";
                                }
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;

                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                        <th>S/N</th>
                                            <th>Item Name</th>
                                            <th>Qty.</th>
                                            <th>Trx Type</th>
                                            <th>Repair Cost</th>
                                            <th>Branch</th>
                                            <th>Notes</th>
                                            <th>Logged By</th>
                                            <th>Date</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                                //$xyz = ($row['trxtype'] === 'ADD')?"<span style=color:green;font: size 2.2em;>+</span>":"<span style=color:red;font: size 2.2em;>-</span>";
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            
                                            <td><?php echo getValueFromTb('opitemlist_1','id',$row['assetid'],'assetname'); ?></td>
                                            <td><?php echo $row['qty']; ?></td>
                                            <td><?php echo $row['action']; ?></td>
                                            <td><?php echo number_format($row['amount'],2,".",","); ?></td>
                                            <td><?php echo getBranchName($row['branchid']); ?></td>
                                            <td><?php echo $row['note']; ?></td>
                                            <td><?php echo getUserByStaffId($row['loggedby']); ?></td>
                                            <td><?php echo change_date($row['loggedon']); ?></td>
                                            <td>
                                                <?php
                                                    if($row['statuses'] == 0){
                                                ?>
                                                    <!-- <a href="" class="btn btn-warning" onclick="return confirm('Sure to Reject Request?')">Reject</a>
                                                    <a href="" class="btn btn-success" onclick="return confirm('Sure to Approve Request?')">Approve</a> -->

                                                    <a href="confirmations.php?itemRejection=<?php echo $row['hid']; ?>" class="btn btn-danger btn-circle btn-sm" title="Reject Item"><i class="fas fa-times"></i></a>

                                                    <!-- <a href="confirmations.php?itemRejection=<?php echo $row['hid']; ?>" class="btn btn-danger btn-circle btn-sm" onclick="return confirm('Sure to Delete City?');" title="Reject Item">
                                                        <i class="fas fa-trash"></i>
                                                    </a> -->

                                                    <a href="confirmations.php?itemApproval=<?php echo $row['hid']; ?>" class="btn btn-warning btn-circle btn-sm" title="Approve Item">
                                                        <i class="fas fa-check"></i>
                                                    </a>
                                                <?php
                                                    }
                                                    if($row['statuses'] == 1){
                                                ?>
                                                    <a href="#" class="btn btn-success btn-circle btn-sm">
                                                            <i class="fas fa-check"></i>
                                                    </a>
                                                    <!-- <a href="" class="btn btn-success" onclick="return confirm('Sure to Approve Request?')">Approve</a> -->
                                                <?php

                                                    }
                                                    if($row['statuses'] == 2){
                                                ?>
                                                <a href="#" class="btn btn-danger btn-circle btn-sm">
                                                    <i class="fas fa-check"></i>
                                                </a>
                                                <?php
                                                    }
                                                ?>
                                            </td>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>