<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }else{
      $downloadAble = false;
    $allowedUsers = [1,2,3,6];
    if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
        msgAlert('You donot have Permision to Use This Page!','index.php');
    }

        
      $staffId = $_SESSION['staffid'];
      if(isset($_GET['activate'])){
          $activateId = $_GET['activate'];
          $actSql = "UPDATE `user_table` SET `account_status` = 0 WHERE `hid` = '$activateId'";
          $resact = mysqli_query($mysqli, $actSql);
          if($resact){
            $_SESSION['success'] = true;
            $title = "Account Deactivated";
            $body = "User De-activation was done by Staff ".$staffId;
            $_SESSION['msg'] = $body;
            //$_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('workers.php');
          }
      }
      if(isset($_GET['deactivate'])){
        $activateId = $_GET['deactivate'];
        $actSql = "UPDATE `user_table` SET `account_status` = 1 WHERE `hid` = '$activateId'";
        $resact = mysqli_query($mysqli, $actSql);
        if($resact){
            $_SESSION['success'] = true;
          $title = "Account Activated";
          $body = "User Activation was done by Staff ".$staffId;
          $_SESSION['msg'] = $body;
          //$_SESSION['success'] = true;
          insertLogs($title,$body);
          redirectTo('workers.php');
        }
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hair Sense Admin - Profile New Workers</title>

    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">

    <!-- link for datepicker -->
    <!-- <link href="css/daterangepicker.css" rel="stylesheet"> -->
    <!-- Custom styles for this page -->
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
    <!-- <script src="js/moment.js"></script> -->

</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <?php include('subpages/sidebar.php'); ?>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <?php include('subpages/topnav.php'); ?>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Profile New Workers</h1>
                        <!-- <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                                class="fas fa-download fa-sm text-white-50"></i> Generate Report</a> -->
                    </div>

                    <!-- Content Row -->
                    <?php include('subpages/headercards.php'); ?>
                    <!-- Content Row -->

                    <div class="row">

                    
                        <!-- Area Chart getLastUserIndex();-->

                        <div class="col-xl-4 col-lg-4">
                            <div class="card shadow mb-4" sty>
                                <!-- Card Header - Dropdown -->
                                <div class="card-header py-3">
                                        <h6 class="m-0 font-weight-bold text-primary">Profile New Worker</h6>
                                        
                                        
                                    </div>
                                    
                                <form method="POST" action="process.php" style="padding:30px 20px;">


                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="staffid">Tentative Staff ID</label>
                                                    <input type="text" id="staffid" class="form-control" name="staffid" value="<?php echo getLastUserIndex(); ?>" required="required" readonly>
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Staff Full Names</label>
                                                    <input type="text" id="fullnames_staff" class="form-control" name="fullnames_staff" placeholder="Staff's Full Names" required="required" autofocus="autofocus">
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="email">E-mail Address</label>
                                                    <input type="email" id="email" class="form-control" name="emailaddr" placeholder="Staff's E-mail" autofocus="autofocus">
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="address">Address</label>
                                                    <textarea id="address" class="form-control" name="address" placeholder="Staff's Address" cols="30" rows="2" required></textarea>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <?php
                                                $allowedUsers = [1];
                                                if (in_array($_SESSION['privilege'], $allowedUsers)) {
                                                    $sql ="SELECT * FROM `branches` WHERE `isconfirmed` = 1";
                                                }else{
                                                    $sql ="SELECT * FROM `branches` WHERE `isconfirmed` = 1 AND `id` = '$_SESSION[branchid]'";
                                                }
                                                $execBranchs = mysqli_query($mysqli, $sql);
                                            ?>
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Branch</label>
                                                    <select class="form-control selectpicker" id="branchid" name="branchid" required="required" data-live-search="true">
                                                        <option value="" selected="selected" disabled="" >Select Branch</option>
                                                        <?php
                                                            while($rowProd = mysqli_fetch_assoc($execBranchs)){
                                                        ?>
                    <option value="<?php echo $rowProd['id']; ?>"><?php echo $rowProd['branchname']."(".$rowProd['branchaddress'].")"; ?></option>
                                                        <?php
                                                            }
                                                        ?>
                                                    </select>
                                                    
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <div class="form-row">
                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="fullnames_staff">Phone Number</label>
                                                    <input type="text" id="phone" class="form-control" name="phone" placeholder="Staff's Phone Number" onkeypress="return isNumberKey(this, event);" autofocus="autofocus" required>
                                                    
                                                    </div>
                                                </div>
                                                <?php
                                                $allowedUsers = [1];
                                                if (in_array($_SESSION['privilege'], $allowedUsers)) {
                                                    $sql2 = "SELECT * FROM `services` WHERE `isconfirmed` = 1";
                                                    //AND `id` <= 3
                                                    
                                                }else{
                                                    // $sql2 = "SELECT * FROM `services` WHERE `isconfirmed` = 1 AND `id` > 2 AND `id` <=5";
                                                    $sql2 = "SELECT * FROM `services` WHERE `isconfirmed` = 1 AND `id` in (4,5,10,11,12,13,14,15,16)";
                                                }
                                                    $sql2res = mysqli_query($mysqli, $sql2);
                                                ?>
                                                <div class="col-md-6">
                                                    <div class="form-label-group">
                                                    <label for="usertype">User Type</label>
                                                    <!-- <input type="text" id="usertype" class="form-control" name="usertype" placeholder="Staff's E-mail" autofocus="autofocus"> -->
                                                    <select class="form-control selectpicker" id="usertype" name="usertype" required="required" data-live-search="true">
                                                        <option value="" selected="selected" disabled="" >Staff Category</option>
                                                        <?php
                                                            while($rowsql2 = mysqli_fetch_assoc($sql2res)){
                                                        ?>
                                                        <option value="<?php echo $rowsql2['id']; ?>"><?php echo $rowsql2['categories']; ?></option>

                                                        <?php
                                                            }
                                                        ?>
                                                    </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        

                                        <div class="form-group" id='serviceCat'>
                                            <div class="form-row">
                                            <div class="col-md-12">
                                                    <div class="form-label-group">
                                                    <label for="usertype">Service Category</label>
                                                    <select class="form-control" id="servcat" name="servcat" >
                                                        <option value="" selected="selected" disabled="" >Staff Category</option>
                                                        <?php
                                                        // if($_SESSION['branchid'] == 10){ //branch is combs
                                                        // if(in_array($_SESSION['branchid'], $branchSpecialID)){
                                                        //     $sql3 = "SELECT * FROM `servicecategory` WHERE `servicecat` = 4 AND `isconfirmed` = 1 AND id NOT IN ( 0, 10) AND branchid IS NOT NULL";
                                                        // }else{
                                                            $sql3 = "SELECT * FROM `servicecategory` WHERE `servicecat` = 4 AND `isconfirmed` = 1 AND id NOT IN ( 0, 10) AND branchid IS NULL";
                                                        // }
                                                            // $sql3 = "SELECT * FROM `servicecategory` WHERE ";
                                                            $sql3res = mysqli_query($mysqli, $sql3);
                                                            while($rowsql3 = mysqli_fetch_assoc($sql3res)){
                                                        ?>
                                                        <option value="<?php echo $rowsql3['id']; ?>"><?php echo $rowsql3['catname']; ?></option>

                                                        <?php
                                                            }
                                                        ?>
                                                    </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <input class="btn btn-block" style="background-color: #eb2e58;color: #f7f7f7;" type="submit" name="CreateNewWorker" value="Create User">
                                        </div>
                                </form>
                                
                            </div>
                        </div>


                        <div class="col-xl-8 col-lg-8">
                            <?php include('alerts.php'); ?>
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <?php include('tables/tblworkers.php'); ?>
                            </div>
                        </div>

                        
                    </div>


                  

                    

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

           <?php include('subpages/footer.php'); }?>
           <script>
            //serviceCat
            $(document).ready(function(){
                $('#serviceCat').hide();
                $('#usertype').change(function(){
                    var userType = $('#usertype').val();
                    if(userType == 4){
                        $('#serviceCat').show();
                        $("#servcat").attr('required', '');
                    }else{
                        $('#serviceCat').hide();
                        $("#servcat").removeAttr('required'); 
                    }
                // $('#cityfield').show();
                });
            })
           </script>