<?php
    session_start();
    require 'db/dbconnect.php';
    include 'functions/functions.php';
    $staffId = $_SESSION['staffid'];
    if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
        msgAlert('You Must be logged In to Access this Page!','../index.php');
        //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
        
    }
    if(isset($_GET['state'])){ //confirm state
        $stateid = $_GET['state'];
        $sql = "UPDATE `states` SET `isconfirmed`= 1 WHERE `state_id` = '$stateid'";
        $res = mysqli_query($mysqli,$sql);
        if($res){
            $title = "New State Confirmed";
            $body = "New State was Confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('states.php');
        }
    }
    if(isset($_GET['stateDel'])){
        $stateid = $_GET['stateDel'];
        $sql = "DELETE FROM `states` WHERE `state_id` = '$stateid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "New State Deleted";
            $body = "New State was Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = false;
            insertLogs($title,$body);
            redirectTo('states.php');
        }
    }

    if(isset($_GET['city'])){ //confirm and delete cITY
        $cityid = $_GET['city'];
        $sql = "UPDATE `cities` SET `isconfirmed`= 1 WHERE `id` = '$cityid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "City confirmed Successfully";
            $title = "New City Confirmed";
            $body = "New City was Confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('city.php');
        }
    }

    if(isset($_GET['cityDel'])){
        $cityId = $_GET['cityDel'];
        $sql = "DELETE FROM `cities` WHERE `id` = '$cityId'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "New City Deleted";
            $body = "New City was Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = false;
            insertLogs($title,$body);
            redirectTo('city.php');
        }
    }
    //branchDel branch
    if(isset($_GET['branch'])){
        $branchId = $_GET['branch'];
        $sql = "UPDATE `branches` SET `isconfirmed`= 1 WHERE `id` = '$branchId'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Branch confirmed Successfully";
            $title = "New Branch Confirmed";
            $body = "New Branch was Confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('branches.php');
        }
    }

    if(isset($_GET['branchDel'])){
        $branchId = $_GET['branchDel'];
        $sql = "DELETE FROM `branches` WHERE `id` = '$branchId'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Branch Deleted Successfully";
            $title = "New Branch Deleted";
            $body = "New Branch was Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = false;
            insertLogs($title,$body);
            redirectTo('branches.php');
        }
    }

    //catDelete  catConfirm
    if(isset($_GET['catConfirm'])){
        $id = $_GET['catConfirm'];
        $sql = "UPDATE `servicecategory` SET `isconfirmed`= 1 WHERE `id` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Worker's category confirmed Successfully";
            $title = "New Department Confirmed";
            $body = "New Department was Confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('workerclass.php');
        }
    }

    if(isset($_GET['catDelete'])){
        $id = $_GET['catDelete'];
        $sql = "DELETE FROM `servicecategory` WHERE `id` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Worker's category Deleted Successfully";
            $title = "New Department Deleted";
            $body = "New Department was Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = false;
            insertLogs($title,$body);
            redirectTo('workerclass.php');
        }
    }
    //subcatConfirm  subcatDelete
    if(isset($_GET['subcatConfirm'])){
        $id = $_GET['subcatConfirm'];
        $sql = "UPDATE `sub_sub` SET `isconfirmed`= 1 WHERE `id` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "New Sub Category Confirmed";
            $body = "New Category was Confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('workerclasssub.php');
        }
    }

    if(isset($_GET['subcatDelete'])){
        $id = $_GET['subcatDelete'];
        $sql = "DELETE FROM `sub_sub` WHERE `id` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Worker's sub category Deleted Successfully";
            $title = "New Sub Category Deleted";
            $body = "New Category was Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('workerclasssub.php');
        }
    }



    //product  prodDelete
    if(isset($_GET['product'])){
        $prodId = $_GET['product'];
        $sql = "UPDATE `products` SET `isconfirmed`= 1 WHERE `product_id` = '$prodId'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Product confirmed Successfully";
            $title = "New Product Confirmed";
            $body = "New Product was Confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('products.php');
        }
    }

    if(isset($_GET['prodDelete'])){
        $prodId = $_GET['prodDelete'];
        $sql = "DELETE FROM `products` WHERE `product_id` = '$prodId'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Product Deleted Successfully";
            $title = "New Product Deleted";
            $body = "New Product was Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('products.php');
        }
    }
    //trxConfirm  trxDelete
    if(isset($_GET['trxConfirm'])){
        $trxRef = $_GET['trxConfirm'];
        $sql = "UPDATE `transactionstb` SET `isconfirmed`= 1, `confirmedby` = '$staffId',`confirmedon` = 'DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 6 HOUR)' WHERE `trxref` = '$trxRef'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //echo "Stuck Up confirmed Successfully";
            $title = "New Stock Up Confirmed";
            $body = "New Stock was Confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('stockup.php');
        }
    }

    if(isset($_GET['trxDelete'])){
        $prodId = $_GET['trxDelete'];
        $sql = "DELETE FROM `transactionstb` WHERE `trxref` = '$prodId'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "New Stock Up Deleted";
            $body = "New Stock was Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('stockup.php');
        }
    }

    //roleConfirm roleDelete
    if(isset($_GET['roleConfirm'])){
        $roleid = $_GET['roleConfirm'];
        $sql = "UPDATE `services` SET `isconfirmed`= 1 WHERE `id` = '$roleid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            echo "Role confirmed Successfully";
        }
    }

    if(isset($_GET['roleDelete'])){
        $roleid = $_GET['roleDelete'];
        $sql = "DELETE FROM `services` WHERE `id` = '$roleid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            echo "Role Deleted Successfully";
        }
    }
    //userConfirm  userDelete
    if(isset($_GET['userConfirm'])){
        $userid = $_GET['userConfirm'];
        $sql = "UPDATE `user_table` SET `isconfirmed`= 1 WHERE `id` = '$userid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            echo "User confirmed Successfully";
        }
    }

    if(isset($_GET['userDelete'])){
        $userid = $_GET['userDelete'];
        $sql = "DELETE FROM `user_table` WHERE `id` = '$userid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            echo "  User Deleted Successfully";
        }
    }

    //supplies 
    if(isset($_GET['suppConfirm'])){
        $userid = $_GET['suppConfirm'];
        $sql = "UPDATE `supplyitems_1` SET `isconfirmed`= 1 WHERE `id` = '$userid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            echo "Item confirmed Successfully";
        }
    }

    if(isset($_GET['supDelete'])){
        $userid = $_GET['supDelete'];
        $sql = "DELETE FROM `supplyitems_1` WHERE `id` = '$userid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            echo "Item Deleted Successfully";
        }
    }



    if(isset($_GET['refree'])){
        $catId = $_GET['refree'];
        echo getAllServicesRateByBranch($_SESSION['branchid'],$catId);
    }
    if(isset($_GET['orderRefund'])){
        $orderId = $_GET['orderRefund'];
        $sql = "UPDATE `orderservices` SET `isrefund` = 1, `refunddate` = DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR),`refundby` = '$staffId',
        `refundbymanager`= 1,`refundapprovedby`='$_SESSION[staffid]',`refundon`= DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR) WHERE `id` = '$orderId'";
        $res = mysqli_query($mysqli, $sql);
        $sqlInsert = "INSERT INTO `servicerejectionwhy`(`id`, `trxref`, `reasons`, `loggedby`, `loggedon`) 
                              VALUES (NULL,'$orderId','Rejected by Manager','$_SESSION[staffid]',DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 0 HOUR))";
                mysqli_query($mysqli, $sqlInsert);
        if($res){
            echo "Transaction Marked as Refunded";
        }
    }
    
    if(isset($_GET['prodRef'])){
        echo getProdRateByBranch($_SESSION['branchid'], $_GET['prodRef']);
    }
       
    if(isset($_GET['prodRefund'])){ //refund product
        $trxRef = $_GET['prodRefund'];
        $sql = "UPDATE `transactionstb` SET `isrefund` = 1, `refundby` = '$staffId',`refundon` = DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 6 HOUR) WHERE `trxref` = '$trxRef'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "Transaction Refunded";
            $body = "Trx with Ref:".$trxRef." was refunded from ".getBranchName($_SESSION['branchid'])." by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('orderproducts.php');
        }
    }
    if(isset($_GET['posDelete'])){ //POS Delete  pos
        $posid = $_GET['posDelete'];
        $sql = "DELETE FROM `pos` WHERE `pos_id` = '$posid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "POS Deleted";
            $body = "Unconfirmed POS Deleted by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = false;
            insertLogs($title,$body);
            redirectTo('pos.php');
        }
    }
    if(isset($_GET['pos'])){
        $id = $_GET['pos'];
        $sql = "UPDATE `pos` SET `isconfirmed` = 1 WHERE `pos_id` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "POS Confirmed";
            $body = "POS status is now confirmed by ".$staffId;
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('pos.php');
        }
    }

    if(isset($_GET['disableUser']) && $_GET['disableUser'] != ""){
        $id = $_GET['disableUser'];
        $sql = "UPDATE `user_table` SET `statusmain` = 1, `actiondate` = CURRENT_TIMESTAMP() WHERE `staffid` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "Status Changed By HR";
            $body = $id." was Disabled by HR";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
        }
    }
    //enableUser
    if(isset($_GET['enableUser']) && $_GET['enableUser'] != ""){
        $id = $_GET['enableUser'];
        $sql = "UPDATE `user_table` SET `statusmain` = 0, `actiondate` = CURRENT_TIMESTAMP() WHERE `staffid` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "Status Changed By HR";
            $body = $id." was Enabled by HR";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
        }
    }

    //resignUser
    if(isset($_GET['resignUser']) && $_GET['resignUser'] != ""){
        $id = $_GET['resignUser'];
        $sql = "UPDATE `user_table` SET `statusmain` = 1,`resign` = 1, `actiondate` = CURRENT_TIMESTAMP() WHERE `staffid` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "Resignation Update";
            $body = $id." Resignation Completed";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
        }
    }
    //dismissUser
    if(isset($_GET['dismissUser']) && $_GET['dismissUser'] != ""){
        $id = $_GET['dismissUser'];
        $sql = "UPDATE `user_table` SET `statusmain` = 1,`dismiss` = 1, `actiondate` = CURRENT_TIMESTAMP() WHERE `staffid` = '$id'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "Dismissal Update";
            $body = $id." Dismissal Completed";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
        }
    }
    //bidfinance
    if(isset($_GET['bidfinance']) && $_GET['bidfinance'] != ""){
        $branchid = $_GET['bidfinance'];
        $sql = "SELECT * FROM `user_table` WHERE `branchid` = '$branchid' AND `privilege` = 4 AND `isconfirmed` = 1";
        $res = mysqli_query($mysqli,$sql);
        if(mysqli_num_rows($res) > 0){
            echo "<option value='' disabled='' selected=''>Select Staff</option><option value='0'>All</option>";
            while($rows = mysqli_fetch_assoc($res)){

                echo '<option value="'.$rows['staffid'].'">'.$rows['name'].'</option>';
            }
        }else{
            echo "<option value='' disabled='' selected=''>Not Found</option>";
        }
    }
    //bidfinprod
    if(isset($_GET['bidfinprod']) && $_GET['bidfinprod'] != ""){
        $branchid = $_GET['bidfinprod'];
        $sql = "SELECT * FROM `user_table` WHERE `branchid` = '$branchid' AND `privilege` = 5 AND `isconfirmed` = 1";
        $res = mysqli_query($mysqli,$sql);
        if(mysqli_num_rows($res) > 0){
            echo "<option value='' disabled='' selected=''>Select Staff</option><option value='0'>All</option>";
            while($rows = mysqli_fetch_assoc($res)){

                echo '<option value="'.$rows['staffid'].'">'.$rows['name'].'</option>';
            }
        }else{
            echo "<option value='' disabled='' selected=''>Not Found</option>";
        }
    }

    //itemRef='+hid+'&newqty='+inp
    if(isset($_GET['itemRef']) && $_GET['itemRef'] != ""){
        if(isset($_GET['newqty']) && $_GET['newqty'] != ""){
        $hid = $_GET['itemRef'];
        $itemid = getValueFromTb('supplyorders_1','rowref',$hid,'itemid');
        $itemname = getValueFromTb('supplyitems_1','id',$itemid,'itemname');
        $approvedQuantity = $_GET['newqty'];
        $sql = "UPDATE `supplyorders_1` SET `qty_approved` = '$approvedQuantity', `approvedon` = DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 5 HOUR),
                 `approvedby` = '$_SESSION[staffid]' WHERE `rowref` = '$hid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            insertSupplies($itemid,$approvedQuantity,$hid);
            echo "$approvedQuantity $itemname Approved!";
        }else{
            echo "Please retry again!";
        }
    }else{
        echo "You must enter the quantity";
    }
    }
    //itemRef='+hid+'&recqty='+recqty,
    if(isset($_GET['itemRefT']) && $_GET['itemRefT'] != ""){
        if(isset($_GET['recqty']) && $_GET['recqty'] != ""){
        $hid = $_GET['itemRefT'];
        $itemid = getValueFromTb('supplyorders_1','rowref',$hid,'itemid');
        $itemname = getValueFromTb('supplyitems_1','id',$itemid,'itemname');
        $receivedQty = $_GET['recqty'];
        $sql = "UPDATE `supplyorders_1` SET `qty_received` = '$receivedQty', `receivedon` = DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 5 HOUR) WHERE `rowref` = '$hid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            //insertSupplies($itemid,$approvedQuantity,$hid);
            echo "$receivedQty $itemname Received!";
        }else{
            echo "Please retry again!";
        }
    }else{
        echo "You must enter the quantity";
    }
    }

    //xyzabc
    if(isset($_GET['xyzabc'])){
        $tgt = $_GET['xyzabc'];
        $sql = "UPDATE `reqsummary_1` SET `status` = 2 WHERE `ref` = '$tgt'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $body =  "Items Row Marked as Received!";
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          redirectTo('requesttb.php?requestref='.$tgt);
        }
    }

    //catItemID
    if(isset($_GET['catItemID'])){
        $ctgid = $_GET['catItemID'];
        $sql = "SELECT * FROM `opitemlist_1` WHERE `catid` = '$ctgid'";
        $res = mysqli_query($mysqli,$sql);
        if(mysqli_num_rows($res) > 0){
            echo "<option value='' disabled='' selected=''>Select Item Category</option>";
            while($rows = mysqli_fetch_assoc($res)){

                echo '<option value="'.$rows['id'].'">'.$rows['assetname'].'</option>';
            }
        }else{
            echo "<option value='' disabled='' selected=''>Not Found</option>";
        }
    }

    //itemRejection
    if(isset($_GET['itemRejection'])){
        $tgt = $_GET['itemRejection'];
        //echo $tgt;
        $sql = "UPDATE `maintainance_logs_1` SET `statuses` = 2, `approvedby` = '$_SESSION[staffid]', `approvedon` = DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 5 HOUR) WHERE `hid` = '$tgt'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $body =  "Item row Marked as Rejected";
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          redirectTo('opviews.php');
        }
    }

    //itemApproval
    if(isset($_GET['itemApproval'])){
        $tgt = $_GET['itemApproval'];
        //echo $tgt;
        $sql = "UPDATE `maintainance_logs_1` SET `statuses` = 1, `approvedby` = '$_SESSION[staffid]', `approvedon` = DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 5 HOUR) WHERE `hid` = '$tgt'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $body =  "Item row Marked as Approved";
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          redirectTo('opviews.php');
        }
    }

    //linedel
    if(isset($_GET['linedel'])){
        $tgt = $_GET['linedel'];
        //echo $tgt;
        $sql = "DELETE FROM `cash_report_1` WHERE `hid` = '$tgt'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $body =  "Item row Deleted";
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          redirectTo('reportmanager.php');
        }
    }

    //linecon
    if(isset($_GET['linecon'])){
        $tgt = $_GET['linecon'];
        //echo $tgt;
        $sql = "UPDATE `cash_report_1` SET `isconfirmed` = 1, `receivedby` = '$_SESSION[staffid]', `man_date` = DATE_ADD(CURRENT_TIMESTAMP(),INTERVAL 5 HOUR) WHERE `hid` = '$tgt'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $body =  "Item row Confirmed";
          $_SESSION['msg'] = $body;
          $_SESSION['success'] = true;
          redirectTo('reportmanager.php');
        }
    }

    if(isset($_GET['expConfirm'])){ //confirm expConfirm
        $hashid = $_GET['expConfirm'];
        $sql = "UPDATE `exp_logs` SET `logged_status`= 1 WHERE `hash` = '$hashid'";
        $res = mysqli_query($mysqli,$sql);
        if($res){
            $title = "Expense Confirmed";
            $body = "New Expense was Confirmed by Accountant";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('addexpense.php');
        }
    }
    if(isset($_GET['expDelete'])){ //expense delete
        $hashid = $_GET['expDelete'];
        $sql = "DELETE FROM `exp_logs` WHERE `hash` = '$hashid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "Unconfirmed Expense Deleted";
            $body = "Unconfirmed Expense was Deleted by Accountant";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = false;
            insertLogs($title,$body);
            redirectTo('addexpense.php');
        }
    }

    if(isset($_GET['incomeConfirm'])){ //confirm incomeConfirm
        $hashid = $_GET['incomeConfirm'];
        $sql = "UPDATE `exp_logs` SET `logged_status`= 1 WHERE `hash` = '$hashid'";
        $res = mysqli_query($mysqli,$sql);
        if($res){
            $title = "Income Confirmed";
            $body = "New Income was Confirmed by Accountant";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = true;
            insertLogs($title,$body);
            redirectTo('addincome.php');
        }
    }
    if(isset($_GET['incomeDelete'])){ // incomeDelete
        $hashid = $_GET['incomeDelete'];
        $sql = "DELETE FROM `exp_logs` WHERE `hash` = '$hashid'";
        $res = mysqli_query($mysqli, $sql);
        if($res){
            $title = "Unconfirmed Income Deleted";
            $body = "Unconfirmed Income was Deleted by Accountant";
            $_SESSION['msg'] = $body;
            $_SESSION['success'] = false;
            insertLogs($title,$body);
            redirectTo('addincome.php');
        }
    }
?>