<?php 
  session_start();
  require 'db/dbconnect.php';
  include 'functions/functions.php';
  if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
   
  }
  if(isset($_GET['staffid']) && $_GET['staffid'] != ""){
      $staffid = $_GET['staffid'];
      $sqlCheck = "SELECT * FROM `user_table` WHERE staffid = '$staffid'";
      $res = mysqli_query($mysqli, $sqlCheck);
      $count = mysqli_num_rows($res);
      if($count <= 0){
        msgAlert('Invalid Token!','../index.php');
      }
  }else{
    echo "<script>window.close();</script>";
    msgAlert('Invalid Token!','../index.php');
  }

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Assumption Date Update</title>
</head>
<style>
    .container{
        display:flex;
        flex-direction:column;
        /* border:2px solid red; */
        width:80%;
        margin:20px auto;
        padding:10px 5px;
    }
    .form-group{
        padding:10px;
        /* display:inline-block; */
    }
    .txtbox{
        height:20%;
        width:100%;
        padding:10px 5px;
    }
    #sbmt{
        background:green;
        color:white;
    }
    
</style>
<body>
    <?php
        if(isset($_POST['subbtn'])){
            $staffid = mysqli_escape_string($mysqli,$_POST['staffid']);
            $branchid = mysqli_escape_string($mysqli,$_POST['branchid']);
            $branchindex = mysqli_escape_string($mysqli,$_POST['branchindex']);
            
            $sender = $_SESSION['staffid'];
            $dt = date("Y-m-d");
            $sql = "UPDATE `user_table` SET `branchid` = '$branchid', `statusmain` = 1 WHERE `staffid` = '$staffid'";
            $res = mysqli_query($mysqli, $sql);
            if($res){
                $sqllogs = "INSERT INTO `redeploylogs_1`(`id`, `staffid`, `brancha`, `branchb`, `datedeployed`, `loggedby`, `loggedon`) 
                            VALUES (NULL,'$staffid','$branchindex','$branchid','$dt','$sender',CURRENT_TIMESTAMP())";
                $exec = mysqli_query($mysqli, $sqllogs);
                $title = "Redeployment Alert";
                $body = $staffid." Redeployed to ".getBranchName($branchid)." on ".$dt." by ".$_SESSION['staffid'];
                $_SESSION['msg'] = $body;
                $_SESSION['success'] = true;
                insertLogs($title,$body);
                echo "<script>window.close();</script>";
            }
        }



    ?>
    <div class="container">
        <form action="redeploy.php" method="post">
            
            <div class="form-group">
                <label for="">Staff ID</label>
                <input type="text" name="staffid"  class="txtbox" value="<?php echo $_GET['staffid']; ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Staff Name</label>
                <input type="text" name=""  class="txtbox" value="<?php echo getUserByStaffId($_GET['staffid']); ?>" readonly required>
            </div>

            <div class="form-group" style="display:none;">
                <label for="">Branch</label>
                <input type="text" name="branchindex"  class="txtbox" value="<?php echo getBranchByStaffID($_GET['staffid']); ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">Branch</label>
                <input type="text" name="namestaff"  class="txtbox" value="<?php echo getBranchName(getBranchByStaffID($_GET['staffid'])); ?>" readonly required>
            </div>

            <div class="form-group">
                <label for="">New Offices</label>
                <select name="branchid" id="" class="txtbox" >
                <option value="" disabled selected>Select Offices</option>
                    <?php
                    $branchId = getBranchByStaffID($_GET['staffid']);
                        $sqloffices = "SELECT * FROM `branches` WHERE id != '$branchId'";
                        $exec = mysqli_query($mysqli, $sqloffices);
                        while($rowOffices = mysqli_fetch_assoc($exec)){
                    ?>
                    <option value="<?php echo $rowOffices['id']; ?>"><?php echo $rowOffices['branchname']; ?></option>

                    <?php
                        }
                    ?>
                    
                </select>
            </div>
            
    
            <div class="form-group">
            <input type="submit" value="Set Assumption Date" class="txtbox" id="sbmt" name="subbtn" onclick="return confirm('Are you sure?');">
            </div>

            
        </form>
    </div>
</body>
</html>
<script>
    function isNumberKey(txt, evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode == 46) {
                //Check if the text already contains the . character
                if (txt.value.indexOf('.') === -1) {
                return false;
                } else {
                return true;
                }
            } else {
                if (charCode > 31 &&
                (charCode < 48 || charCode > 57))
                return false;
            }
            return true;
        }
</script>