<?php
// session_start();
// require '../db/dbconnect.php';
// include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [7,1];
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }
if(!$_POST){
    msgAlert('No click detected!','../index.php');
}
if(isset($_POST['genSummary'])){
    $branch = $_POST['branchid'];
    $month = $_POST['month'];
    $year = $_POST['year'];
    $fulldate = $year.'-'.$month.'-20';
    $newDate = date('Y-m-d',strtotime($fulldate));
    // echo $newDate;
   

?>


<style>
    .heading {
        font-weight: bolder;
    }
 </style>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"> Summary For <?= getBranchName($branch); ?></h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="example" width="100%" cellspacing="0" data-ordering="false" data-paging="false">
                                    
                                    <thead>
                                        <tr style="text-align:center;font-weight:bolder;font-size:x-large;">
                                            <td colspan="5">STATEMENT OF FINANCIAL PERFORMANCE FOR <?= strtoupper(date($month.'-'.$year)); ?>, HAIRSENSE SALON - <?= strtoupper(getBranchName($branch)); ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <!-- <th style="width:5%">S/N</th> -->
                                            <th>Heading</th>
                                            <th>Notes</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <!-- <td>1</td> -->
                                            <td>SALES</td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(getTotalSalesByBranchThisMonth($branch, $month, $year)); ?></td>
                                        </tr>

                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <!-- <td>2</td> -->
                                            <td class="heading">LESS EXPENSES</td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>

                                        <tr>
                                            <!-- <td>3</td> -->
                                            <td>PURCHASES</td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(getPurchases($branch,$month, $year)); ?></td>
                                        </tr>

                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <!-- <td>.</td> -->
                                            <td class="heading">GROSS PROFIT</td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(grossProfit($branch,$month, $year)); ?></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        <tr>
                                            <!-- <td>4</td> -->
                                            <td class="heading">ADD</td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td>OTHER INCOME</td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(getExpAmount($branch, 15, $month, $year)); ?></td>
                                        </tr>

                                        <tr>
                                            <!-- <td>6</td> -->
                                            <td>APPRENTICESHIP</td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(getExpAmount($branch, 16, $month, $year)); ?></td>
                                                                                                         

                                        </tr>
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td>PROFIT ON SHELFSALES  </td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(getExpAmount($branch, 17, $month, $year)); ?></td>
                                        </tr>
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td class="heading">TOTAL GROSS PROFIT  </td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(getAllIncomeBranch($branch, $month, $year)); ?></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                                                                

                                        <tr>
                                            <!-- <td>4</td> -->
                                            <td class="heading">LESS</td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td>RENT/SERVICE CHARGE</td>
                                            <td></td>
                                            <td><?= money(getExpAmount($branch, 12, $month, $year)); ?></td>
                                            <td></td>
                                            
                                        </tr>

                                        <tr>
                                            <!-- <td>6</td> -->
                                            <td>UTILITY</td>
                                            <td></td>
                                            <td><?= money(getExpAmount($branch, 11, $month, $year)); ?></td>
                                            <td></td>
                                            
                                                                                                         

                                        </tr>
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td>APPORTIONED HQ EXPENSES</td>
                                            <td></td>
                                            <td><?= money(getExpAmount($branch, 13, $month, $year)); ?></td>
                                            <td></td>
                                            
                                        </tr>
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td>RUNNING COST</td>
                                            <td></td>
                                            <td><?= money(getRunningCost($branch, $month, $year)); ?></td>
                                            <td></td>
                                            
                                        </tr>
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td>GROSS SALARY</td>
                                            <td></td>
                                            <td><?= money(getPayForBranch($branch, $month, $year)); ?></td>
                                            <td></td>
                                            
                                        </tr>
                                        <tr>
                                            <!-- <td>5</td> -->
                                            <td class="heading">TOTAL NET PROFIT  </td>
                                            <td></td>
                                            <td></td>
                                            <td><?= money(netProfit($branch, $month, $year)); ?></td>
                                        </tr>

                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
<?php
    }
}
?>