<?php
session_start();
require '../db/dbconnect.php';
include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [7,8,1]; //Supplies Reports
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }
if(!$_POST){
    msgAlert('No click detected!','../index.php');
}
if(isset($_POST['prodsearch'])){
    $branchid = $_POST['branchid'];
    $from = $_POST['fromdate'];
    $to = $_POST['todate'];
   
    
    if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8 || $_SESSION['privilege'] == 1){

        $sql = "SELECT * FROM `reqsummary_1`
                                            WHERE date_format(loggedon, '%Y-%m') =date_format(now(),'%Y-%m') ORDER BY `id` DESC";

        if($branchid == '0'){ //staff is manager or asst. manager
        $sql = "SELECT * FROM `reqsummary_1` WHERE `status` >= 1";
        }else{
            $sql = "SELECT * FROM `reqsummary_1` WHERE `status` >= 1 AND `branchid` = '$branchid'";
        }

    }
    $sql .= " AND date_format(`loggedon`,'%Y-%m-%d') >= '$from' AND date_format(`loggedon`,'%Y-%m-%d') <= '$to' ORDER BY `id` DESC";
    $exec = mysqli_query($mysqli, $sql);
    //echo $sql;
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/tablecss/a.css">
    <link rel="stylesheet" href="../css/tablecss/b.css">
    <title>Hair Sense -- Product Sales Report</title>
</head>

<?php
    
?>
<body style="width:95%;text-align:center;margin:50px auto;">
<table id="example" class="display nowrap" style="width:100%">
        <thead>
        <tr>
                                            <th>S/N</th>
                                            <th>Item Count</th>
                                            <?php
                    if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8 || $_SESSION['privilege'] == 1){
                                            ?>
                                            <th>Branch </th>
                                            <?php
    }
                                            ?>
                                            <th>Logged By</th>
                                            <th>Note</th>
                                            <th>Logged On</th>
                                            <th>Status</th>
                                            <th>Actions</th>
                                        </tr>
        </thead>
        <tbody>
        <?php
                                            $i = 1;
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['itemcount']." Items"; ?></td>
                                            <?php
                    if($_SESSION['privilege'] == 7 || $_SESSION['privilege'] == 8 || $_SESSION['privilege'] == 1){
                                            ?>
                                            <td><?php echo getBranchName($row['branchid']); ?></td>
                                            <?php
                    }
                                            ?>
                                            <td><?php echo $row['loggedby']; ?></td>
                                            <td><?php echo nl2br($row['notes']); ?></td>
                                            <td><?php echo change_date($row['loggedon']); ?></td>
                                            <td style="font-size: 0.8rem;">
                                                <?php
                                                        echo round(getSupplyPercentage($row['ref']),2,PHP_ROUND_HALF_UP)." %";
                                                        // echo ($row['status'] == 0)?"Rejected":(($row['status'] == 1)?"80% Approved":(($row['status'] == 2)?"Approved":(($row['status'] == 3)?"Dispatched":"Received")));
                                                ?>
                                            </td>
                                            <td>
                                                
                                                    <a href="../requesttb.php?requestref=<?php echo $row['ref']; ?>" target="_blank" class="btn btn-success btn-md" >
                                                        <i class="fas fa-eye"></i>
                                                        View Request
                                                    </a>
                                                             
                                            </td>
                                            
                                        </tr>
                                        <?php
                                           $i++; }
                                        ?>
    

        </tbody>
        </tfoot>
    </table>
</body>
<script src="../js/tablejs/a.js"></script>
<script src="../js/tablejs/b.js"></script>
<script src="../js/tablejs/c.js"></script>
<script src="../js/tablejs/d.js"></script>
<script src="../js/tablejs/e.js"></script>
<script src="../js/tablejs/f.js"></script>
<script src="../js/tablejs/g.js"></script>
<script src="../js/tablejs/h.js"></script>
<script>
    $(document).ready(function() {
    $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
             'excel', 'pdf', 'print'
        ]
    } );
} );

function splillIt(trxId){
            var url = "../prodreceipt.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
function openServices(trxId){
            var url = "srefundrec.php?trxIndex="+trxId;
            var name = "Receipt";
            //var props = "width=400,height=250,left=40,top=40,location=center,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no";
            var props = "toolbar=no,scrollbars=yes,resizable=no,top=200,left=320,width=500,height=500";
            window.open(url, name, props);
}
</script>


<?php
}
?>

</html>