<?php
//error_reporting(E_ALL & ~E_NOTICE);
session_start();
require '../db/dbconnect.php';
include '../functions/functions.php';
if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
  msgAlert('You Must be logged In to Access this Page!','../index.php');
  //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
 
}else{
  $allowedUsers = [7,1];
  if (!in_array(@$_SESSION['privilege'], $allowedUsers)) {
      msgAlert('You donot have Permision to Use This Page!','index.php');
  }
if(!$_POST){
    msgAlert('No click detected!','../index.php');
}
if(isset($_POST['dailySearch'])){
    $branchid = $_POST['branchid'];
    $from = $_POST['fromdate'];
    $branchname = getBranchName($branchid);
    
}

}//end else block;
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Hair Sense Order Receipt</title>
        <style>
            * {
    font-size: 20px;
    font-family: 'Times New Roman';
}
table{
    width: 100%;
}

td{
    padding:5px;
}


.centered {
    text-align: center;
    align-content: center;
}

.ticket {
    width: 700px;
    border:2px solid green;
    margin:150px auto;
    padding:5px 5px;
}
.receiptbdy{
    width:80%;
    margin:0px auto;
}

img {
    max-width: inherit;
    width: inherit;
}
.imgHeader{
    /* border:2px solid red; */
    width:50%;
    text-align:center;
    margin: 10px auto;
}
legend{
    padding:20px 10px;
}

</style>
    </head>

    <body >
        <div class="ticket">
            <div class="imgHeader">
            <img src="../img/header.jpg" alt="Logo" >
            </div>
            
            
            <fieldset>
                    <legend>General</legend>
            <table style="text-align:left; width:100%">
                <tr>
                    <td>Report Date:</td><td><?php echo $from; ?></td>
                    
                </tr>
                <tr>
                    <td>Branch :</td><td><?php echo $branchname; ?></td>
                </tr>
                <tr>
                    <td>Total Services Amount:</td><td><?php echo "<strike>N</strike> ".number_format(serviceSumByDate($branchid, $from),2,".",","); ?></td>
                    
                </tr>
                
                
                <tr>
                    <td>Supposed Cash to Bank:</td><td><?php echo "<strike>N</strike> ".number_format(serviceSumByDatePm($branchid, $from,"1"),2,".",","); ?></td>
                    
                </tr>
                <tr>
                    <td>Service's POS:</td><td >
                        <?php echo "<strike>N</strike> ".number_format(serviceSumByDatePm($branchid, $from,"2"),2,".",","); ?>
                        &nbsp;&nbsp;
                        <a href="viewpos.php?branch=<?php echo $branchid; ?>&dt=<?php echo $from;?>" target="_blank">
                            <span>
                                <img src="../img/exc.png" alt="viewmore" style="width:3%;">
                            </span>
                        </a>
                        </td>
                    
                </tr>

                <tr>
                    <td>Amount Reported:</td><td >
                        <?php echo "<strike>N</strike> ".number_format(cashToManager($branchid, $from),2,".",","); ?>
                        </td>
                    
                </tr>

                <tr>
                    <td>Cash IOUs:</td><td >
                        <?php echo "<strike>N</strike> ".number_format(ious($branchid, $from,1),2,".",","); ?>
                        </td>
                    
                </tr>

                <tr>
                    <td>Expenses:</td><td >
                        <?php echo "<strike>N</strike> ".number_format(expenseTotal($branchid, $from),2,".",","); ?>
                        </td>
                    
                </tr>

                <tr>
                    <td>Shortage:</td><td >
                        <?php echo  shortages($branchid, $from); ?>
                        </td>
                    
                </tr>

                <tr>
                    <td>Overage:</td><td >
                    <?php echo  overage($branchid, $from); ?>
                        </td>
                    
                </tr>

                <tr>
                    <td>Shelf Sales :</td><td >
                        <?php echo shelfSales(); ?>
                        </td>
                    
                </tr>
                    </table>
                </fieldset>
                
                

                <fieldset>
                    <legend>Expenses Breakdown</legend>
            <table style="text-align:left; width:100%">
                <tr>
                    <td>IOUs Others</td>
                    <td><?php echo "<strike>N</strike> ".number_format(ious($branchid, $from,2),2,".",","); ?></td>
                    
                </tr>
                <tr>
                    <?php
                            $btn = '<a href="#" class="btn btn-warning btn btn-sm" onclick="splillIt(<?php echo $row[trxref]; ?>);">
                            <i class="fa fa-eye"></i>
                                View
                            </a>';
                    ?>
                    <td>Other Expenses :</td>
                    <td><?php echo (expensesIncurred($branchid, $from)> 0)?"<strike>N</strike> ".number_format(expensesIncurred($branchid, $from),2,".",",")." <a target='_blank' style='text-decoration:none;' href='indexit.php?bid=$branchid&dt=$from'>View ...</a>":"<strike>N</strike> 0.00"; ?></td>
                </tr>
                <tr>
                    <td>Total Expenses:</td>
                    <td><?php echo "<strike>N</strike> ".number_format(expenseTotal($branchid, $from),2,".",","); ?></td>
                    
                </tr>
                
                
                
                    </table>
                </fieldset>
                
            
           
                
        </div>
        
        
    </body>
</html>
