<?php

    session_start();
    require 'db/dbconnect.php';
    include 'functions/functions.php';
    if(!isset($_SESSION['staffid']) AND !isset($_SESSION['staffhid'])){
    msgAlert('You Must be logged In to Access this Page!','../index.php');
    //$_SESSION['error_msg'] = "You Must be logged In to Access this Page!";
    
    }else{



    //orderreceipt.php?trxNo="+trxId;
  if(isset($_GET['trxIndex'])){
    $trxid = $_GET['trxIndex'];
    $sql = "SELECT * FROM `transactionstb` WHERE `trxref` = '$trxid'";//left join product tb, and sort alphabetically.
    $res = mysqli_query($mysqli, $sql);
    $res2 = mysqli_query($mysqli, $sql);
    $rw = mysqli_fetch_assoc($res);
    
    $sqlupd = "UPDATE `transactionstb` SET `printcount` = 1 WHERE `trxref` = '$trxid'";
    $resUpd = mysqli_query($mysqli, $sqlupd);
}
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Hair Sense Order Receipt</title>
        <style>
            * {
    font-size: 12px;
    font-family: 'Times New Roman';
}

.a {
    border-top: 1px solid black;
    border-collapse: collapse;
}

td.description,
th.description {
    /* width: 75px;
    max-width: 75px; */
    width: 85px;
    max-width: 85px;
}

td.quantity,
th.quantity {
    /* width: 40px;
    max-width: 40px; */
    /* word-break: break-all; */
    width: 60px;
    max-width: 60px;
}

td.price,
th.price {
    width: 60px;
    max-width: 60px;
    /* word-break: break-all; */
}

.centered {
    text-align: center;
    align-content: center;
}

.ticket {
    /* width: 155px;
    max-width: 155px; */
    width: 250px;
    max-width: 250px;
    /* border:2px solid red; */
    margin:20px auto;
    /* padding:5px 5px; */
}
.receiptbdy{
    width:80%;
    margin:0px auto;
}

img {
    max-width: inherit;
    width: inherit;
}
.imgHeader{
    /* border:2px solid red; */
    width:50%;
    text-align:center;
    margin: 0px auto;
}
@media print {
    .hidden-print,
    .hidden-print * {
        display: none !important;
    }
}
        </style>
    </head>

    <body onload="window.print();">
        <div class="ticket">
            <div class="imgHeader">
            <img src="img/header.jpg" alt="Logo" style="width:100%;">
            </div>
            
            <p class="centered"><span style="font-size:1.3em;font-weight:bolder;">HAIR SENSE UNISEX SALON</span>
                <br>Address : <?php echo getBranchAdd($_SESSION['branchid']); ?>
                <br>Phone : <span><?php echo getBranchPhone($_SESSION['branchid']); ?> </span>
            </p>
            <table style="text-align:left;">
                <tr>
                    <td>Order Date:</td><td><?php echo change_date($rw['date']); ?></td>
                    
                </tr>
                <tr>
                    <td>Order Time :</td><td><?php echo date("h:i:s A", strtotime($rw['date'])); ?></td>
                    
                </tr>
                <tr>
                    <td>Invoice. Number:</td><td><?php echo str_pad($rw['trxid'], 8, '0', STR_PAD_LEFT); ?></td>
                    
                </tr>
                
                <tr>
                    <td>Ref Number:</td><td><?php echo $rw['trxref']; ?></td>
                    
                </tr>
                <tr>
                    <td>Customer Type:</td><td>Walk In</td>
                    
                </tr>
                <tr>
                    <td>Payment Method:</td><td><?php echo getPaymentMethod($rw['paymethod']); ?></td>
                    
                </tr>
                <tr>
                    <td>Sales Rep.:</td><td><?php echo getUserByStaffId($rw['loggedby']) ." (".$rw['loggedby'].") "; ?></td>
                    
                </tr>
                <tr>
                    <td>Branch:</td><td><?php echo getBranchName($rw['branchid']); ?></td>
                </tr>
                <tr>
                    <td>Customer's Name:</td><td><?php echo getCustomersNm($trxid); ?></td>
                    
                </tr>
                
            </table>
                <div class="">
                <table class="a" style="text-align:center;">
                <thead>
                    <tr class="a">
                        <th>SN</th>
                        <th class="">Product.</th>
                        <th class="">Qty</th>
                        <th class="">Rate (<strike>N</strike>)</th>
                        <th class="" >Total (<strike>N</strike>)</th>
                       
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $i = 1;
                        while($row = mysqli_fetch_assoc($res2)){
                    ?>
                    <tr class="a">
                        <td><?php echo $i; ?></td>
                        <td class="description a"><?php echo getProductName($row['productid']); ?></td>
                        <td class="quantity a"><?php echo $row['qty']; ?></td>
                        <td class="quantity a"><?php echo $row['rate']; ?></td>
                        <td class="price a"><?php echo number_format($row['amount'],2); ?></td>
                    </tr>
                    <?php
                    $i++;
                        }
                        $sqlb = "SELECT *, SUM(`amount`) AS sumtotal FROM `transactionstb` WHERE `trxref` = '$trxid'";
                        $resb = mysqli_query($mysqli, $sqlb);
                        $rowb = mysqli_fetch_assoc($resb);
                    ?>
                    <tr>
                        <td colspan='2'></td><td  style="align-content:right;">Total </td><td colspan="2" style="font-size:1.2em; font-weight:bold"><?php echo "NGN ".number_format($rowb['sumtotal'],2); ?></td>
                    </tr>
                </tbody>
            </table>
                </div>
            <?php
                $status = ($rw['isrefund'] == 1)?'<p class="centered"><strong><span style="font-size:2em;">REFUNDED</span></strong>':'<p class="centered"><strong><span style="font-size:2em;">APPROVED</span></strong>';
                echo $status;
            ?>
            <!-- <p class="centered"><strong><span style="font-size:2em;">APPROVED</span></strong> -->
                <br><strong>Thanks, Call Again!!!</strong>
                <br><span>****** Customers Copy ******</span>
                <br>
                <button id="btnPrint" class="hidden-print">Print</button>
            </p>
                
        </div>
        
        <script>
            const $btnPrint = document.querySelector("#btnPrint");
                $btnPrint.addEventListener("click", () => {
                    window.print();
                });
        </script>
    </body>
</html>

<?php
    }
?>