<!-- DataTales Example -->
<?php
    if(!isset($_GET['ref'])){

?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">All Branches</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php

                                    $sql = "SELECT *,t1.id branchno FROM `branches` t1
                                            LEFT JOIN `states` t2 ON t2.state_id = t1.stateid
                                            LEFT JOIN `cities` t3 ON t3.id = t1.cityid
                                            ORDER BY t1.`id` DESC";
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;
                                    $sumtotal = 0;
                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>States</th>
                                            <th>Cities</th>
                                            <th>Branch Name</th>
                                            <th>Asset Counts</th>
                                            <th>Action</th>
                                            
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['statename']; ?></td>
                                            <td><?php echo $row['cityname']; ?></td>
                                            <td><?php echo $row['branchname']; ?></td>
                                            <td><?php echo sumAssetCount($row['branchno']); ?></td>
                                            <td><a href="assetlists.php?ref=<?php echo $row['hashid']."&branch=".$row['branchno']; ?>" class="btn btn-warning btn-md">Explore ...</a></td>
                                           
                                            
                                        </tr>
                                        <?php
                                            $sumtotal += sumAssetCount($row['branchno']);
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                        <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th><?php echo $sumtotal; ?></th>
                                            <th></th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
<?php
    }else{
        $hash = $_GET['ref'];
        $branch = $_GET['branch'];
        if(checkHashInBranch($hash,$branch) == 0){
            msgAlert("Invalid References","assetlists.php");
        }
?>
<div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"><?php echo "List of Assets In ".getBranchName($branch)." Branch"; ?></h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">

                                <?php

                                    $sql = "SELECT DISTINCT(`assetid`) assid, t2.assetname aname, t3.categoryname cgyname FROM `maintainance_logs_1` t1
                                            LEFT JOIN opitemlist_1 t2 ON t2.id = t1.assetid
                                            LEFT JOIN opitems_1 t3 ON t3.id = t1.catid
                                            WHERE branchid = '$branch'
                                            ORDER BY t1.`id` ASC";
                                    $exec = mysqli_query($mysqli,$sql);
                                    $i = 1;
                                    $sumtotal = 0;
                                ?>
                                <!-- <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0"> -->
                                <table class="table display no wrap" id="example" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>S/N</th>
                                            <th>Asset Name</th>
                                            <th>Asset Categ.</th>
                                            <th>Branch</th>
                                            <th>Balance</th>
                                            
                                            
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
                                        <?php
                                            while($row = mysqli_fetch_assoc($exec)){
                                              
                                        ?>
                                        <tr>
                                            <td><?php echo $i; ?></td>
                                            
                                            <td><?php echo $row['aname']; ?></td>
                                            <td><?php echo $row['cgyname']; ?></td>
                                            <td><?php echo getBranchName($branch); ?></td>
                                            <td><?php echo itemBalance($row['assid'],$branch); ?></td>
                                            
                                           
                                           
                                            
                                        </tr>
                                        <?php
                                           // $sumtotal += getStaffStrength($row['branchno']);
                                           $i++; }
                                        ?>

                                       
                                    </tbody>
                                    
                                </table>
                            </div>
                        </div>
                    </div>

<?php
    }
?>